#include "ppeexnmnmx04.header.cxx"
void ppeexnmnmx04_determination_no_subprocess_real(int & no_map, vector<int> & o_map, int & no_prc, vector<int> & o_prc, double & symmetry_factor, vector<int> & tp, int basic_order_alpha_s, int basic_order_alpha_e, int basic_order_interference){
  static Logger logger("ppeexnmnmx04_determination_no_subprocess_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  no_map = -1;
  vector<int> out(8);
  for (int i = 0; i < 2; i++){
    if (i == 0){out[1] = 1; out[2] = 2;}
    if (i == 1){out[1] = 2; out[2] = 1;}
    for (int o = 0; o < 1; o++){
      if (o == 0){out[7] = 7;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1)){no_map = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3)){no_map = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5)){no_map = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2)){no_map = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4)){no_map = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -1)){no_map = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -3)){no_map = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -5)){no_map = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -2)){no_map = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -4)){no_map = 5; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0)){no_map = 6; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0)){no_map = 6; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0)){no_map = 6; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0)){no_map = 7; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0)){no_map = 7; break;}
    }
    if (no_map != -1){break;}
  }
  for (int o = 0; o < out.size(); o++){
    if (out[o] == 0){o_map[o] = o;}
    else {o_map[o] = out[o];}
  }
  no_prc = no_map;
  o_prc = o_map;
  if (no_map == 0){}
  else if (no_map == 2){symmetry_factor = 1;}
  else if (no_map == 3){symmetry_factor = 1;}
  else if (no_map == 4){symmetry_factor = 1;}
  else if (no_map == 5){symmetry_factor = 1;}
  else if (no_map == 6){symmetry_factor = 1;}
  else if (no_map == 7){symmetry_factor = 1;}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
void ppeexnmnmx04_determination_subprocess_real(int i_a, phasespace_set & psi){
  static Logger logger("ppeexnmnmx04_determination_subprocess_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  vector<int> tp = psi.csi->basic_type_parton[i_a];
  //  ppeexnmnmx04_determination_no_subprocess_real(psi_no_map[i_a], psi_o_map[i_a], psi_no_prc[i_a], psi_o_prc[i_a], psi_symmetry_factor, tp, psi_phasespace_order_alpha_s[i_a], psi_phasespace_order_alpha_e[i_a], psi_phasespace_order_interference[i_a]);

  psi_no_map[i_a] = -1;
  vector<int> out(8);
  for (int i = 0; i < 2; i++){
    if (i == 0){out[1] = 1; out[2] = 2;}
    if (i == 1){out[1] = 2; out[2] = 1;}
    for (int o = 0; o < 1; o++){
      if (o == 0){out[7] = 7;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1)){psi_no_map[i_a] = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3)){psi_no_map[i_a] = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5)){psi_no_map[i_a] = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2)){psi_no_map[i_a] = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4)){psi_no_map[i_a] = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -1)){psi_no_map[i_a] = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -3)){psi_no_map[i_a] = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -5)){psi_no_map[i_a] = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 5; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0)){psi_no_map[i_a] = 6; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0)){psi_no_map[i_a] = 6; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0)){psi_no_map[i_a] = 6; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0)){psi_no_map[i_a] = 7; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0)){psi_no_map[i_a] = 7; break;}
    }
    if (psi_no_map[i_a] != -1){break;}
  }
  for (int o = 0; o < out.size(); o++){
    if (out[o] == 0){psi_o_map[i_a][o] = o;}
    else {psi_o_map[i_a][o] = out[o];}
  }
  psi_no_prc[i_a] = psi_no_map[i_a];
  psi_o_prc[i_a] = psi_o_map[i_a];
  if (psi_no_map[i_a] == 0){}
  else if (psi_no_map[i_a] == 2){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 3){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 4){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 5){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 6){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 7){psi_symmetry_factor = 1;}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
void ppeexnmnmx04_combination_subprocess_real(int i_a, phasespace_set & psi, observable_set & oset){
  static Logger logger("ppeexnmnmx04_combination_subprocess_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  if (psi_no_map[i_a] == 0){}
  else if (psi_no_map[i_a] == 2){
    int pdf_1[] = { 1,   0,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  d   -> e  ex nm nmxd  
    int pdf_2[] = { 1,   0,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  s   -> e  ex nm nmxs  
    int pdf_3[] = { 1,   0,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // g  b   -> e  ex nm nmxb  
    int pdf_4[] = {-1,   0,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // d  g   -> e  ex nm nmxd  
    int pdf_5[] = {-1,   0,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // s  g   -> e  ex nm nmxs  
    int pdf_6[] = {-1,   0,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // b  g   -> e  ex nm nmxb  
  }
  else if (psi_no_map[i_a] == 3){
    int pdf_1[] = { 1,   0,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  u   -> e  ex nm nmxu  
    int pdf_2[] = { 1,   0,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  c   -> e  ex nm nmxc  
    int pdf_3[] = {-1,   0,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  g   -> e  ex nm nmxu  
    int pdf_4[] = {-1,   0,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  g   -> e  ex nm nmxc  
  }
  else if (psi_no_map[i_a] == 4){
    int pdf_1[] = { 1,   0,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  dx  -> e  ex nm nmxdx 
    int pdf_2[] = { 1,   0,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  sx  -> e  ex nm nmxsx 
    int pdf_3[] = { 1,   0,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // g  bx  -> e  ex nm nmxbx 
    int pdf_4[] = {-1,   0,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // dx g   -> e  ex nm nmxdx 
    int pdf_5[] = {-1,   0,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // sx g   -> e  ex nm nmxsx 
    int pdf_6[] = {-1,   0,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // bx g   -> e  ex nm nmxbx 
  }
  else if (psi_no_map[i_a] == 5){
    int pdf_1[] = { 1,   0,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  ux  -> e  ex nm nmxux 
    int pdf_2[] = { 1,   0,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  cx  -> e  ex nm nmxcx 
    int pdf_3[] = {-1,   0,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux g   -> e  ex nm nmxux 
    int pdf_4[] = {-1,   0,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx g   -> e  ex nm nmxcx 
  }
  else if (psi_no_map[i_a] == 6){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> e  ex nm nmxg  
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> e  ex nm nmxg  
    int pdf_3[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  bx  -> e  ex nm nmxg  
    int pdf_4[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // dx d   -> e  ex nm nmxg  
    int pdf_5[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // sx s   -> e  ex nm nmxg  
    int pdf_6[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // bx b   -> e  ex nm nmxg  
  }
  else if (psi_no_map[i_a] == 7){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> e  ex nm nmxg  
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> e  ex nm nmxg  
    int pdf_3[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux u   -> e  ex nm nmxg  
    int pdf_4[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx c   -> e  ex nm nmxg  
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
