void ppenex02_particles(int i_a, observable_set & oset);

void ppenex02_cuts(int i_a, observable_set & oset);
void ppenex02_cuts_test(int i_a, observable_set & oset);

void ppenex02_moments(observable_set & oset);

void ppenex02_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppenex02_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppenex02_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppenex02_optimize_minv_born(phasespace_set & psi);
int ppenex02_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppenex02_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppenex02_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_born(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ax_psp_020_dux_emvex(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_020_dux_emvex(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_020_dux_emvex(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_020_dcx_emvex(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_020_dcx_emvex(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_020_dcx_emvex(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_020_sux_emvex(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_020_sux_emvex(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_020_sux_emvex(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_020_scx_emvex(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_020_scx_emvex(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_020_scx_emvex(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_020_bux_emvex(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_020_bux_emvex(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_020_bux_emvex(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_020_bcx_emvex(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_020_bcx_emvex(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_020_bcx_emvex(int no_ps, int zero, phasespace_set & psi);
void ppenex02_phasespacepoint_born(observable_set & oset);

void ppenex02_phasespacepoint_collinear(observable_set & oset);

void ppenex02_optimize_minv_real(phasespace_set & psi);
int ppenex02_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppenex02_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppenex02_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_real(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ax_psp_120_gd_emvexu(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_gd_emvexu(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_gd_emvexu(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_120_gd_emvexc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_gd_emvexc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_gd_emvexc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_120_gs_emvexu(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_gs_emvexu(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_gs_emvexu(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_120_gs_emvexc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_gs_emvexc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_gs_emvexc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_120_gb_emvexu(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_gb_emvexu(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_gb_emvexu(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_120_gb_emvexc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_gb_emvexc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_gb_emvexc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_120_gux_emvexdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_gux_emvexdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_gux_emvexdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_120_gux_emvexsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_gux_emvexsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_gux_emvexsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_120_gux_emvexbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_gux_emvexbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_gux_emvexbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_120_gcx_emvexdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_gcx_emvexdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_gcx_emvexdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_120_gcx_emvexsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_gcx_emvexsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_gcx_emvexsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_120_gcx_emvexbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_gcx_emvexbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_gcx_emvexbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_120_dux_emvexg(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_dux_emvexg(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_dux_emvexg(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_120_dcx_emvexg(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_dcx_emvexg(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_dcx_emvexg(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_120_sux_emvexg(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_sux_emvexg(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_sux_emvexg(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_120_scx_emvexg(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_scx_emvexg(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_scx_emvexg(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_120_bux_emvexg(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_bux_emvexg(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_bux_emvexg(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_120_bcx_emvexg(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_120_bcx_emvexg(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_120_bcx_emvexg(int no_ps, int zero, phasespace_set & psi);
void ppenex02_phasespacepoint_real(observable_set & oset);

void ppenex02_phasespacepoint_realcollinear(observable_set & oset);

void ppenex02_optimize_minv_doublereal(phasespace_set & psi);
int ppenex02_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppenex02_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppenex02_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ax_psp_220_gg_emvexudx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gg_emvexudx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gg_emvexudx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_gg_emvexusx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gg_emvexusx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gg_emvexusx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_gg_emvexubx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gg_emvexubx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gg_emvexubx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_gg_emvexcdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gg_emvexcdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gg_emvexcdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_gg_emvexcsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gg_emvexcsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gg_emvexcsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_gg_emvexcbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gg_emvexcbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gg_emvexcbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_gd_emvexgu(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gd_emvexgu(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gd_emvexgu(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_gd_emvexgc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gd_emvexgc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gd_emvexgc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_gs_emvexgu(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gs_emvexgu(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gs_emvexgu(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_gs_emvexgc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gs_emvexgc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gs_emvexgc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_gb_emvexgu(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gb_emvexgu(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gb_emvexgu(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_gb_emvexgc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gb_emvexgc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gb_emvexgc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_gux_emvexgdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gux_emvexgdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gux_emvexgdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_gux_emvexgsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gux_emvexgsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gux_emvexgsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_gux_emvexgbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gux_emvexgbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gux_emvexgbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_gcx_emvexgdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gcx_emvexgdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gcx_emvexgdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_gcx_emvexgsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gcx_emvexgsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gcx_emvexgsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_gcx_emvexgbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_gcx_emvexgbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_gcx_emvexgbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dd_emvexdu(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dd_emvexdu(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dd_emvexdu(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dd_emvexdc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dd_emvexdc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dd_emvexdc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_du_emvexuu(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_du_emvexuu(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_du_emvexuu(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_du_emvexuc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_du_emvexuc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_du_emvexuc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ds_emvexdu(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ds_emvexdu(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ds_emvexdu(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ds_emvexdc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ds_emvexdc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ds_emvexdc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ds_emvexus(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ds_emvexus(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ds_emvexus(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ds_emvexsc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ds_emvexsc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ds_emvexsc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dc_emvexuc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dc_emvexuc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dc_emvexuc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dc_emvexcc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dc_emvexcc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dc_emvexcc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_db_emvexdu(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_db_emvexdu(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_db_emvexdu(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_db_emvexdc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_db_emvexdc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_db_emvexdc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_db_emvexub(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_db_emvexub(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_db_emvexub(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_db_emvexcb(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_db_emvexcb(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_db_emvexcb(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ddx_emvexudx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ddx_emvexudx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ddx_emvexudx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ddx_emvexusx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ddx_emvexusx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ddx_emvexusx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ddx_emvexubx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ddx_emvexubx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ddx_emvexubx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ddx_emvexcdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ddx_emvexcdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ddx_emvexcdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ddx_emvexcsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ddx_emvexcsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ddx_emvexcsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ddx_emvexcbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ddx_emvexcbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ddx_emvexcbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dux_emvexgg(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dux_emvexgg(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dux_emvexgg(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dux_emvexddx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dux_emvexddx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dux_emvexddx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dux_emvexdsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dux_emvexdsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dux_emvexdsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dux_emvexdbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dux_emvexdbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dux_emvexdbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dux_emvexuux(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dux_emvexuux(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dux_emvexuux(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dux_emvexssx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dux_emvexssx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dux_emvexssx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dux_emvexcux(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dux_emvexcux(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dux_emvexcux(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dux_emvexccx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dux_emvexccx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dux_emvexccx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dux_emvexbbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dux_emvexbbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dux_emvexbbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dsx_emvexusx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dsx_emvexusx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dsx_emvexusx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dsx_emvexcsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dsx_emvexcsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dsx_emvexcsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dcx_emvexgg(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dcx_emvexgg(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dcx_emvexgg(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dcx_emvexddx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dcx_emvexddx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dcx_emvexddx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dcx_emvexdsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dcx_emvexdsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dcx_emvexdsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dcx_emvexdbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dcx_emvexdbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dcx_emvexdbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dcx_emvexuux(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dcx_emvexuux(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dcx_emvexuux(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dcx_emvexucx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dcx_emvexucx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dcx_emvexucx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dcx_emvexssx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dcx_emvexssx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dcx_emvexssx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dcx_emvexccx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dcx_emvexccx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dcx_emvexccx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dcx_emvexbbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dcx_emvexbbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dcx_emvexbbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dbx_emvexubx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dbx_emvexubx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dbx_emvexubx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dbx_emvexcbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dbx_emvexcbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dbx_emvexcbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_us_emvexuu(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_us_emvexuu(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_us_emvexuu(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_us_emvexuc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_us_emvexuc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_us_emvexuc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ub_emvexuu(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ub_emvexuu(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ub_emvexuu(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ub_emvexuc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ub_emvexuc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ub_emvexuc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uux_emvexudx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uux_emvexudx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uux_emvexudx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uux_emvexusx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uux_emvexusx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uux_emvexusx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uux_emvexubx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uux_emvexubx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uux_emvexubx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uux_emvexcdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uux_emvexcdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uux_emvexcdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uux_emvexcsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uux_emvexcsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uux_emvexcsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uux_emvexcbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uux_emvexcbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uux_emvexcbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ucx_emvexudx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ucx_emvexudx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ucx_emvexudx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ucx_emvexusx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ucx_emvexusx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ucx_emvexusx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ucx_emvexubx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ucx_emvexubx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ucx_emvexubx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ss_emvexus(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ss_emvexus(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ss_emvexus(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ss_emvexsc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ss_emvexsc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ss_emvexsc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sc_emvexuc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sc_emvexuc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sc_emvexuc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sc_emvexcc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sc_emvexcc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sc_emvexcc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sb_emvexus(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sb_emvexus(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sb_emvexus(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sb_emvexub(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sb_emvexub(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sb_emvexub(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sb_emvexsc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sb_emvexsc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sb_emvexsc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sb_emvexcb(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sb_emvexcb(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sb_emvexcb(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sdx_emvexudx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sdx_emvexudx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sdx_emvexudx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sdx_emvexcdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sdx_emvexcdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sdx_emvexcdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sux_emvexgg(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sux_emvexgg(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sux_emvexgg(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sux_emvexddx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sux_emvexddx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sux_emvexddx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sux_emvexuux(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sux_emvexuux(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sux_emvexuux(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sux_emvexsdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sux_emvexsdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sux_emvexsdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sux_emvexssx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sux_emvexssx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sux_emvexssx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sux_emvexsbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sux_emvexsbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sux_emvexsbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sux_emvexcux(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sux_emvexcux(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sux_emvexcux(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sux_emvexccx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sux_emvexccx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sux_emvexccx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sux_emvexbbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sux_emvexbbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sux_emvexbbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ssx_emvexudx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ssx_emvexudx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ssx_emvexudx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ssx_emvexusx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ssx_emvexusx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ssx_emvexusx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ssx_emvexubx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ssx_emvexubx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ssx_emvexubx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ssx_emvexcdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ssx_emvexcdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ssx_emvexcdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ssx_emvexcsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ssx_emvexcsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ssx_emvexcsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ssx_emvexcbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ssx_emvexcbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ssx_emvexcbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_scx_emvexgg(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_scx_emvexgg(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_scx_emvexgg(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_scx_emvexddx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_scx_emvexddx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_scx_emvexddx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_scx_emvexuux(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_scx_emvexuux(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_scx_emvexuux(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_scx_emvexucx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_scx_emvexucx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_scx_emvexucx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_scx_emvexsdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_scx_emvexsdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_scx_emvexsdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_scx_emvexssx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_scx_emvexssx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_scx_emvexssx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_scx_emvexsbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_scx_emvexsbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_scx_emvexsbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_scx_emvexccx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_scx_emvexccx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_scx_emvexccx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_scx_emvexbbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_scx_emvexbbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_scx_emvexbbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sbx_emvexubx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sbx_emvexubx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sbx_emvexubx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sbx_emvexcbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sbx_emvexcbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sbx_emvexcbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_cb_emvexuc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_cb_emvexuc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_cb_emvexuc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_cb_emvexcc(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_cb_emvexcc(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_cb_emvexcc(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_cux_emvexcdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_cux_emvexcdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_cux_emvexcdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_cux_emvexcsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_cux_emvexcsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_cux_emvexcsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_cux_emvexcbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_cux_emvexcbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_cux_emvexcbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ccx_emvexudx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ccx_emvexudx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ccx_emvexudx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ccx_emvexusx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ccx_emvexusx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ccx_emvexusx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ccx_emvexubx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ccx_emvexubx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ccx_emvexubx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ccx_emvexcdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ccx_emvexcdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ccx_emvexcdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ccx_emvexcsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ccx_emvexcsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ccx_emvexcsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_ccx_emvexcbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_ccx_emvexcbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_ccx_emvexcbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bb_emvexub(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bb_emvexub(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bb_emvexub(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bb_emvexcb(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bb_emvexcb(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bb_emvexcb(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bdx_emvexudx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bdx_emvexudx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bdx_emvexudx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bdx_emvexcdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bdx_emvexcdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bdx_emvexcdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bux_emvexgg(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bux_emvexgg(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bux_emvexgg(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bux_emvexddx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bux_emvexddx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bux_emvexddx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bux_emvexuux(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bux_emvexuux(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bux_emvexuux(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bux_emvexssx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bux_emvexssx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bux_emvexssx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bux_emvexcux(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bux_emvexcux(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bux_emvexcux(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bux_emvexccx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bux_emvexccx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bux_emvexccx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bux_emvexbdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bux_emvexbdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bux_emvexbdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bux_emvexbsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bux_emvexbsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bux_emvexbsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bux_emvexbbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bux_emvexbbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bux_emvexbbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bsx_emvexusx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bsx_emvexusx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bsx_emvexusx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bsx_emvexcsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bsx_emvexcsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bsx_emvexcsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bcx_emvexgg(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bcx_emvexgg(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bcx_emvexgg(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bcx_emvexddx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bcx_emvexddx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bcx_emvexddx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bcx_emvexuux(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bcx_emvexuux(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bcx_emvexuux(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bcx_emvexucx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bcx_emvexucx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bcx_emvexucx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bcx_emvexssx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bcx_emvexssx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bcx_emvexssx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bcx_emvexccx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bcx_emvexccx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bcx_emvexccx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bcx_emvexbdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bcx_emvexbdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bcx_emvexbdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bcx_emvexbsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bcx_emvexbsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bcx_emvexbsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bcx_emvexbbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bcx_emvexbbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bcx_emvexbbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bbx_emvexudx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bbx_emvexudx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bbx_emvexudx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bbx_emvexusx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bbx_emvexusx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bbx_emvexusx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bbx_emvexubx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bbx_emvexubx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bbx_emvexubx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bbx_emvexcdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bbx_emvexcdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bbx_emvexcdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bbx_emvexcsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bbx_emvexcsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bbx_emvexcsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_bbx_emvexcbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_bbx_emvexcbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_bbx_emvexcbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dxux_emvexdxdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dxux_emvexdxdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dxux_emvexdxdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dxux_emvexdxsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dxux_emvexdxsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dxux_emvexdxsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dxux_emvexdxbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dxux_emvexdxbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dxux_emvexdxbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dxcx_emvexdxdx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dxcx_emvexdxdx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dxcx_emvexdxdx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dxcx_emvexdxsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dxcx_emvexdxsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dxcx_emvexdxsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_dxcx_emvexdxbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_dxcx_emvexdxbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_dxcx_emvexdxbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uxux_emvexdxux(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uxux_emvexdxux(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uxux_emvexdxux(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uxux_emvexuxsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uxux_emvexuxsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uxux_emvexuxsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uxux_emvexuxbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uxux_emvexuxbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uxux_emvexuxbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uxsx_emvexdxsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uxsx_emvexdxsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uxsx_emvexdxsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uxsx_emvexsxsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uxsx_emvexsxsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uxsx_emvexsxsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uxsx_emvexsxbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uxsx_emvexsxbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uxsx_emvexsxbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uxcx_emvexdxux(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uxcx_emvexdxux(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uxcx_emvexdxux(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uxcx_emvexdxcx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uxcx_emvexdxcx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uxcx_emvexdxcx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uxcx_emvexuxsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uxcx_emvexuxsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uxcx_emvexuxsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uxcx_emvexuxbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uxcx_emvexuxbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uxcx_emvexuxbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uxcx_emvexsxcx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uxcx_emvexsxcx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uxcx_emvexsxcx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uxcx_emvexcxbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uxcx_emvexcxbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uxcx_emvexcxbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uxbx_emvexdxbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uxbx_emvexdxbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uxbx_emvexdxbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uxbx_emvexsxbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uxbx_emvexsxbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uxbx_emvexsxbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_uxbx_emvexbxbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_uxbx_emvexbxbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_uxbx_emvexbxbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sxcx_emvexdxsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sxcx_emvexdxsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sxcx_emvexdxsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sxcx_emvexsxsx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sxcx_emvexsxsx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sxcx_emvexsxsx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_sxcx_emvexsxbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_sxcx_emvexsxbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_sxcx_emvexsxbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_cxcx_emvexdxcx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_cxcx_emvexdxcx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_cxcx_emvexdxcx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_cxcx_emvexsxcx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_cxcx_emvexsxcx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_cxcx_emvexsxcx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_cxcx_emvexcxbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_cxcx_emvexcxbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_cxcx_emvexcxbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_cxbx_emvexdxbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_cxbx_emvexdxbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_cxbx_emvexdxbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_cxbx_emvexsxbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_cxbx_emvexsxbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_cxbx_emvexsxbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_ax_psp_220_cxbx_emvexbxbx(int no_ps, phasespace_set & psi);
void ppenex02_ac_psp_220_cxbx_emvexbxbx(int no_ps, int channel, phasespace_set & psi);
void ppenex02_ag_psp_220_cxbx_emvexbxbx(int no_ps, int zero, phasespace_set & psi);
void ppenex02_phasespacepoint_doublereal(observable_set & oset);

