#include "ppexnea03.header.cxx"
void ppexnea03_determination_no_subprocess_doublereal(int & no_map, vector<int> & o_map, int & no_prc, vector<int> & o_prc, double & symmetry_factor, vector<int> & tp, int basic_order_alpha_s, int basic_order_alpha_e, int basic_order_interference){
  static Logger logger("ppexnea03_determination_no_subprocess_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  no_map = -1;
  vector<int> out(8);
  for (int i = 0; i < 2; i++){
    if (i == 0){out[1] = 1; out[2] = 2;}
    if (i == 1){out[1] = 2; out[2] = 1;}
    for (int o = 0; o < 2; o++){
      if (o == 0){out[6] = 6; out[7] = 7;}
      if (o == 1){out[6] = 7; out[7] = 6;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -2)){no_map = 1; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -4)){no_map = 1; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   0) && (tp[out[7]] ==   1)){no_map = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   0) && (tp[out[7]] ==   3)){no_map = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   0) && (tp[out[7]] ==  -2)){no_map = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   0) && (tp[out[7]] ==  -4)){no_map = 3; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==   1)){no_map = 4; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==   3)){no_map = 4; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==   3)){no_map = 5; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==   1)){no_map = 5; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==   5)){no_map = 5; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==   5)){no_map = 5; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -2)){no_map = 6; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -4)){no_map = 6; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -4)){no_map = 7; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -2)){no_map = 7; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -2)){no_map = 7; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -4)){no_map = 7; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -4)){no_map = 8; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -2)){no_map = 8; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   5) && (tp[out[7]] ==  -2)){no_map = 8; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   5) && (tp[out[7]] ==  -4)){no_map = 8; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==   2)){no_map = 9; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==   4)){no_map = 9; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==   4)){no_map = 10; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==   2)){no_map = 10; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   0) && (tp[out[7]] ==   0)){no_map = 11; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   0) && (tp[out[7]] ==   0)){no_map = 11; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -1)){no_map = 12; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -3)){no_map = 12; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   2) && (tp[out[7]] ==  -2)){no_map = 13; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   4) && (tp[out[7]] ==  -4)){no_map = 13; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -3)){no_map = 14; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -1)){no_map = 14; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   5) && (tp[out[7]] ==  -5)){no_map = 14; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   5) && (tp[out[7]] ==  -5)){no_map = 14; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   4) && (tp[out[7]] ==  -4)){no_map = 15; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   2) && (tp[out[7]] ==  -2)){no_map = 15; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -2)){no_map = 16; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -4)){no_map = 16; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -4)){no_map = 17; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -2)){no_map = 17; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -3)){no_map = 18; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -1)){no_map = 18; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -5)){no_map = 18; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -5)){no_map = 18; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   2) && (tp[out[7]] ==  -4)){no_map = 19; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   4) && (tp[out[7]] ==  -2)){no_map = 19; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -4)){no_map = 20; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -2)){no_map = 20; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -1) && (tp[out[7]] ==  -2)){no_map = 21; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -3) && (tp[out[7]] ==  -4)){no_map = 21; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -2) && (tp[out[7]] ==  -2)){no_map = 22; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -4) && (tp[out[7]] ==  -4)){no_map = 22; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -1) && (tp[out[7]] ==  -4)){no_map = 23; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -3) && (tp[out[7]] ==  -2)){no_map = 23; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -2) && (tp[out[7]] ==  -5)){no_map = 23; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -4) && (tp[out[7]] ==  -5)){no_map = 23; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -2) && (tp[out[7]] ==  -4)){no_map = 24; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -4) && (tp[out[7]] ==  -2)){no_map = 24; break;}
    }
    if (no_map != -1){break;}
  }
  for (int o = 0; o < out.size(); o++){
    if (out[o] == 0){o_map[o] = o;}
    else {o_map[o] = out[o];}
  }
  no_prc = no_map;
  o_prc = o_map;
  if (no_map == 0){}
  else if (no_map == 1){symmetry_factor = 1;}
  else if (no_map == 2){symmetry_factor = 1;}
  else if (no_map == 3){symmetry_factor = 1;}
  else if (no_map == 4){symmetry_factor = 2;}
  else if (no_map == 5){symmetry_factor = 1;}
  else if (no_map == 6){symmetry_factor = 1;}
  else if (no_map == 7){symmetry_factor = 1;}
  else if (no_map == 8){symmetry_factor = 1;}
  else if (no_map == 9){symmetry_factor = 1;}
  else if (no_map == 10){symmetry_factor = 1;}
  else if (no_map == 11){symmetry_factor = 2;}
  else if (no_map == 12){symmetry_factor = 1;}
  else if (no_map == 13){symmetry_factor = 1;}
  else if (no_map == 14){symmetry_factor = 1;}
  else if (no_map == 15){symmetry_factor = 1;}
  else if (no_map == 16){symmetry_factor = 1;}
  else if (no_map == 17){symmetry_factor = 1;}
  else if (no_map == 18){symmetry_factor = 1;}
  else if (no_map == 19){symmetry_factor = 1;}
  else if (no_map == 20){symmetry_factor = 1;}
  else if (no_map == 21){symmetry_factor = 1;}
  else if (no_map == 22){symmetry_factor = 2;}
  else if (no_map == 23){symmetry_factor = 1;}
  else if (no_map == 24){symmetry_factor = 1;}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
void ppexnea03_determination_subprocess_doublereal(int i_a, phasespace_set & psi){
  static Logger logger("ppexnea03_determination_subprocess_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  vector<int> tp = psi.csi->basic_type_parton[i_a];
  //  ppexnea03_determination_no_subprocess_doublereal(psi_no_map[i_a], psi_o_map[i_a], psi_no_prc[i_a], psi_o_prc[i_a], psi_symmetry_factor, tp, psi_phasespace_order_alpha_s[i_a], psi_phasespace_order_alpha_e[i_a], psi_phasespace_order_interference[i_a]);

  psi_no_map[i_a] = -1;
  vector<int> out(8);
  for (int i = 0; i < 2; i++){
    if (i == 0){out[1] = 1; out[2] = 2;}
    if (i == 1){out[1] = 2; out[2] = 1;}
    for (int o = 0; o < 2; o++){
      if (o == 0){out[6] = 6; out[7] = 7;}
      if (o == 1){out[6] = 7; out[7] = 6;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 1; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 1; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   0) && (tp[out[7]] ==   1)){psi_no_map[i_a] = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   0) && (tp[out[7]] ==   3)){psi_no_map[i_a] = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   0) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   0) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 3; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==   1)){psi_no_map[i_a] = 4; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==   3)){psi_no_map[i_a] = 4; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==   3)){psi_no_map[i_a] = 5; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==   1)){psi_no_map[i_a] = 5; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==   5)){psi_no_map[i_a] = 5; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==   5)){psi_no_map[i_a] = 5; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 6; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 6; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 7; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 7; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 7; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 7; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 8; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 8; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   5) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 8; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   5) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 8; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==   2)){psi_no_map[i_a] = 9; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==   4)){psi_no_map[i_a] = 9; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==   4)){psi_no_map[i_a] = 10; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==   2)){psi_no_map[i_a] = 10; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   0) && (tp[out[7]] ==   0)){psi_no_map[i_a] = 11; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   0) && (tp[out[7]] ==   0)){psi_no_map[i_a] = 11; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -1)){psi_no_map[i_a] = 12; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -3)){psi_no_map[i_a] = 12; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   2) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 13; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   4) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 13; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -3)){psi_no_map[i_a] = 14; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -1)){psi_no_map[i_a] = 14; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   5) && (tp[out[7]] ==  -5)){psi_no_map[i_a] = 14; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   5) && (tp[out[7]] ==  -5)){psi_no_map[i_a] = 14; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   4) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 15; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   2) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 15; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 17; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 17; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -3)){psi_no_map[i_a] = 18; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -1)){psi_no_map[i_a] = 18; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -5)){psi_no_map[i_a] = 18; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -5)){psi_no_map[i_a] = 18; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   2) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 19; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   4) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 19; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   1) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 20; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==   3) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 20; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -1) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 21; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -3) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 21; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -2) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 22; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -4) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 22; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -1) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 23; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -3) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 23; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -1) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -2) && (tp[out[7]] ==  -5)){psi_no_map[i_a] = 23; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -3) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -4) && (tp[out[7]] ==  -5)){psi_no_map[i_a] = 23; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -4) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -2) && (tp[out[7]] ==  -4)){psi_no_map[i_a] = 24; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -2) && (tp[3] == -11) && (tp[4] ==  12) && (tp[5] ==  22) && (tp[out[6]] ==  -4) && (tp[out[7]] ==  -2)){psi_no_map[i_a] = 24; break;}
    }
    if (psi_no_map[i_a] != -1){break;}
  }
  for (int o = 0; o < out.size(); o++){
    if (out[o] == 0){psi_o_map[i_a][o] = o;}
    else {psi_o_map[i_a][o] = out[o];}
  }
  psi_no_prc[i_a] = psi_no_map[i_a];
  psi_o_prc[i_a] = psi_o_map[i_a];
  if (psi_no_map[i_a] == 0){}
  else if (psi_no_map[i_a] == 1){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 2){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 3){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 4){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 5){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 6){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 7){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 8){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 9){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 10){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 11){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 12){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 13){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 14){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 15){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 16){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 17){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 18){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 19){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 20){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 21){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 22){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 23){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 24){psi_symmetry_factor = 1;}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
void ppexnea03_combination_subprocess_doublereal(int i_a, phasespace_set & psi, observable_set & oset){
  static Logger logger("ppexnea03_combination_subprocess_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  if (psi_no_map[i_a] == 0){}
  else if (psi_no_map[i_a] == 1){
    int pdf_1[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  g   -> ex ne a  d  ux 
    int pdf_2[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  g   -> ex ne a  s  cx 
  }
  else if (psi_no_map[i_a] == 2){
    int pdf_1[] = { 1,   0,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  u   -> ex ne a  g  d  
    int pdf_2[] = { 1,   0,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  c   -> ex ne a  g  s  
    int pdf_3[] = {-1,   0,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  g   -> ex ne a  g  d  
    int pdf_4[] = {-1,   0,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  g   -> ex ne a  g  s  
  }
  else if (psi_no_map[i_a] == 3){
    int pdf_1[] = { 1,   0,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  dx  -> ex ne a  g  ux 
    int pdf_2[] = { 1,   0,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  sx  -> ex ne a  g  cx 
    int pdf_3[] = {-1,   0,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx g   -> ex ne a  g  ux 
    int pdf_4[] = {-1,   0,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx g   -> ex ne a  g  cx 
  }
  else if (psi_no_map[i_a] == 4){
    int pdf_1[] = { 1,   1,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  u   -> ex ne a  d  d  
    int pdf_2[] = { 1,   3,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  c   -> ex ne a  s  s  
    int pdf_3[] = {-1,   1,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  d   -> ex ne a  d  d  
    int pdf_4[] = {-1,   3,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  s   -> ex ne a  s  s  
  }
  else if (psi_no_map[i_a] == 5){
    int pdf_1[] = { 1,   1,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  c   -> ex ne a  d  s  
    int pdf_2[] = { 1,   3,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  u   -> ex ne a  d  s  
    int pdf_3[] = { 1,   5,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  u   -> ex ne a  d  b  
    int pdf_4[] = { 1,   5,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // b  c   -> ex ne a  s  b  
    int pdf_5[] = {-1,   3,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // u  s   -> ex ne a  d  s  
    int pdf_6[] = {-1,   1,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // c  d   -> ex ne a  d  s  
    int pdf_7[] = {-1,   5,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // u  b   -> ex ne a  d  b  
    int pdf_8[] = {-1,   5,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // c  b   -> ex ne a  s  b  
  }
  else if (psi_no_map[i_a] == 6){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> ex ne a  d  ux 
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> ex ne a  s  cx 
    int pdf_3[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx d   -> ex ne a  d  ux 
    int pdf_4[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx s   -> ex ne a  s  cx 
  }
  else if (psi_no_map[i_a] == 7){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> ex ne a  s  cx 
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> ex ne a  d  ux 
    int pdf_3[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  bx  -> ex ne a  d  ux 
    int pdf_4[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // b  bx  -> ex ne a  s  cx 
    int pdf_5[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // dx d   -> ex ne a  s  cx 
    int pdf_6[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // sx s   -> ex ne a  d  ux 
    int pdf_7[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // bx b   -> ex ne a  d  ux 
    int pdf_8[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // bx b   -> ex ne a  s  cx 
  }
  else if (psi_no_map[i_a] == 8){
    int pdf_1[] = { 1,   1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  sx  -> ex ne a  d  cx 
    int pdf_2[] = { 1,   3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  dx  -> ex ne a  s  ux 
    int pdf_3[] = { 1,   5,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  dx  -> ex ne a  b  ux 
    int pdf_4[] = { 1,   5,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // b  sx  -> ex ne a  b  cx 
    int pdf_5[] = {-1,   3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // dx s   -> ex ne a  s  ux 
    int pdf_6[] = {-1,   1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // sx d   -> ex ne a  d  cx 
    int pdf_7[] = {-1,   5,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // dx b   -> ex ne a  b  ux 
    int pdf_8[] = {-1,   5,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // sx b   -> ex ne a  b  cx 
  }
  else if (psi_no_map[i_a] == 9){
    int pdf_1[] = { 1,   2,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  u   -> ex ne a  d  u  
    int pdf_2[] = { 1,   4,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  c   -> ex ne a  s  c  
  }
  else if (psi_no_map[i_a] == 10){
    int pdf_1[] = { 1,   2,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  c   -> ex ne a  d  c  
    int pdf_2[] = { 1,   4,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  u   -> ex ne a  u  s  
    int pdf_3[] = {-1,   4,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  c   -> ex ne a  u  s  
    int pdf_4[] = {-1,   2,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  u   -> ex ne a  d  c  
  }
  else if (psi_no_map[i_a] == 11){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> ex ne a  g  g  
    int pdf_2[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  sx  -> ex ne a  g  g  
    int pdf_3[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx u   -> ex ne a  g  g  
    int pdf_4[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx c   -> ex ne a  g  g  
  }
  else if (psi_no_map[i_a] == 12){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> ex ne a  d  dx 
    int pdf_2[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  sx  -> ex ne a  s  sx 
    int pdf_3[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx u   -> ex ne a  d  dx 
    int pdf_4[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx c   -> ex ne a  s  sx 
  }
  else if (psi_no_map[i_a] == 13){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> ex ne a  u  ux 
    int pdf_2[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  sx  -> ex ne a  c  cx 
    int pdf_3[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx u   -> ex ne a  u  ux 
    int pdf_4[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx c   -> ex ne a  c  cx 
  }
  else if (psi_no_map[i_a] == 14){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> ex ne a  s  sx 
    int pdf_2[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  sx  -> ex ne a  d  dx 
    int pdf_3[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  dx  -> ex ne a  b  bx 
    int pdf_4[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  sx  -> ex ne a  b  bx 
    int pdf_5[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // dx u   -> ex ne a  s  sx 
    int pdf_6[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // sx c   -> ex ne a  d  dx 
    int pdf_7[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // dx u   -> ex ne a  b  bx 
    int pdf_8[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // sx c   -> ex ne a  b  bx 
  }
  else if (psi_no_map[i_a] == 15){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> ex ne a  c  cx 
    int pdf_2[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  sx  -> ex ne a  u  ux 
    int pdf_3[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx u   -> ex ne a  c  cx 
    int pdf_4[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx c   -> ex ne a  u  ux 
  }
  else if (psi_no_map[i_a] == 16){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> ex ne a  d  ux 
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> ex ne a  s  cx 
    int pdf_3[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux u   -> ex ne a  d  ux 
    int pdf_4[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx c   -> ex ne a  s  cx 
  }
  else if (psi_no_map[i_a] == 17){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> ex ne a  s  cx 
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> ex ne a  d  ux 
    int pdf_3[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux u   -> ex ne a  s  cx 
    int pdf_4[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx c   -> ex ne a  d  ux 
  }
  else if (psi_no_map[i_a] == 18){
    int pdf_1[] = { 1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  sx  -> ex ne a  d  sx 
    int pdf_2[] = { 1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  dx  -> ex ne a  s  dx 
    int pdf_3[] = { 1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  bx  -> ex ne a  d  bx 
    int pdf_4[] = { 1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  bx  -> ex ne a  s  bx 
    int pdf_5[] = {-1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // dx c   -> ex ne a  s  dx 
    int pdf_6[] = {-1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // sx u   -> ex ne a  d  sx 
    int pdf_7[] = {-1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // bx u   -> ex ne a  d  bx 
    int pdf_8[] = {-1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // bx c   -> ex ne a  s  bx 
  }
  else if (psi_no_map[i_a] == 19){
    int pdf_1[] = { 1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  sx  -> ex ne a  u  cx 
    int pdf_2[] = { 1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  dx  -> ex ne a  c  ux 
    int pdf_3[] = {-1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx c   -> ex ne a  c  ux 
    int pdf_4[] = {-1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx u   -> ex ne a  u  cx 
  }
  else if (psi_no_map[i_a] == 20){
    int pdf_1[] = { 1,   2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  cx  -> ex ne a  d  cx 
    int pdf_2[] = { 1,   4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  ux  -> ex ne a  s  ux 
    int pdf_3[] = {-1,   4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux c   -> ex ne a  s  ux 
    int pdf_4[] = {-1,   2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx u   -> ex ne a  d  cx 
  }
  else if (psi_no_map[i_a] == 21){
    int pdf_1[] = { 1,  -1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx dx  -> ex ne a  dx ux 
    int pdf_2[] = { 1,  -3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx sx  -> ex ne a  sx cx 
  }
  else if (psi_no_map[i_a] == 22){
    int pdf_1[] = { 1,  -1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx ux  -> ex ne a  ux ux 
    int pdf_2[] = { 1,  -3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx cx  -> ex ne a  cx cx 
    int pdf_3[] = {-1,  -1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux dx  -> ex ne a  ux ux 
    int pdf_4[] = {-1,  -3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx sx  -> ex ne a  cx cx 
  }
  else if (psi_no_map[i_a] == 23){
    int pdf_1[] = { 1,  -1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx sx  -> ex ne a  dx cx 
    int pdf_2[] = { 1,  -3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx dx  -> ex ne a  ux sx 
    int pdf_3[] = { 1,  -5,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // bx dx  -> ex ne a  ux bx 
    int pdf_4[] = { 1,  -5,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // bx sx  -> ex ne a  cx bx 
    int pdf_5[] = {-1,  -3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // dx sx  -> ex ne a  ux sx 
    int pdf_6[] = {-1,  -1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // sx dx  -> ex ne a  dx cx 
    int pdf_7[] = {-1,  -5,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // dx bx  -> ex ne a  ux bx 
    int pdf_8[] = {-1,  -5,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // sx bx  -> ex ne a  cx bx 
  }
  else if (psi_no_map[i_a] == 24){
    int pdf_1[] = { 1,  -1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx cx  -> ex ne a  ux cx 
    int pdf_2[] = { 1,  -3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx ux  -> ex ne a  ux cx 
    int pdf_3[] = {-1,  -3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux sx  -> ex ne a  ux cx 
    int pdf_4[] = {-1,  -1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx dx  -> ex ne a  ux cx 
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
