void ppnenexa03_particles(int i_a, observable_set & oset);

void ppnenexa03_cuts(int i_a, observable_set & oset);
void ppnenexa03_cuts_test(int i_a, observable_set & oset);

void ppnenexa03_moments(observable_set & oset);

void ppnenexa03_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppnenexa03_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppnenexa03_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppnenexa03_optimize_minv_born(phasespace_set & psi);
int ppnenexa03_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppnenexa03_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_born(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ax_psp_030_ddx_vevexa(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_030_ddx_vevexa(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_030_ddx_vevexa(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_030_uux_vevexa(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_030_uux_vevexa(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_030_uux_vevexa(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_gg_vevexa(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_gg_vevexa(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_gg_vevexa(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_phasespacepoint_born(observable_set & oset);

void ppnenexa03_phasespacepoint_collinear(observable_set & oset);

void ppnenexa03_optimize_minv_real(phasespace_set & psi);
int ppnenexa03_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppnenexa03_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_real(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ax_psp_130_gd_vevexad(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_130_gd_vevexad(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_130_gd_vevexad(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_130_gu_vevexau(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_130_gu_vevexau(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_130_gu_vevexau(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_130_gdx_vevexadx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_130_gdx_vevexadx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_130_gdx_vevexadx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_130_gux_vevexaux(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_130_gux_vevexaux(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_130_gux_vevexaux(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_130_ddx_vevexag(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_130_ddx_vevexag(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_130_ddx_vevexag(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_130_uux_vevexag(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_130_uux_vevexag(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_130_uux_vevexag(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_phasespacepoint_real(observable_set & oset);

void ppnenexa03_phasespacepoint_realcollinear(observable_set & oset);

void ppnenexa03_optimize_minv_doublereal(phasespace_set & psi);
int ppnenexa03_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppnenexa03_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ax_psp_230_gg_vevexaddx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_gg_vevexaddx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_gg_vevexaddx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_gg_vevexauux(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_gg_vevexauux(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_gg_vevexauux(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_gd_vevexagd(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_gd_vevexagd(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_gd_vevexagd(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_gu_vevexagu(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_gu_vevexagu(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_gu_vevexagu(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_gdx_vevexagdx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_gdx_vevexagdx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_gdx_vevexagdx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_gux_vevexagux(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_gux_vevexagux(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_gux_vevexagux(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_dd_vevexadd(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_dd_vevexadd(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_dd_vevexadd(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_du_vevexadu(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_du_vevexadu(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_du_vevexadu(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_ds_vevexads(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_ds_vevexads(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_ds_vevexads(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_dc_vevexadc(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_dc_vevexadc(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_dc_vevexadc(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_ddx_vevexagg(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_ddx_vevexagg(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_ddx_vevexagg(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_ddx_vevexaddx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_ddx_vevexaddx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_ddx_vevexaddx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_ddx_vevexauux(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_ddx_vevexauux(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_ddx_vevexauux(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_ddx_vevexassx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_ddx_vevexassx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_ddx_vevexassx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_ddx_vevexaccx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_ddx_vevexaccx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_ddx_vevexaccx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_dux_vevexadux(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_dux_vevexadux(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_dux_vevexadux(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_dsx_vevexadsx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_dsx_vevexadsx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_dsx_vevexadsx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_dcx_vevexadcx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_dcx_vevexadcx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_dcx_vevexadcx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_uu_vevexauu(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_uu_vevexauu(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_uu_vevexauu(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_uc_vevexauc(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_uc_vevexauc(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_uc_vevexauc(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_udx_vevexaudx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_udx_vevexaudx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_udx_vevexaudx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_uux_vevexagg(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_uux_vevexagg(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_uux_vevexagg(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_uux_vevexaddx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_uux_vevexaddx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_uux_vevexaddx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_uux_vevexauux(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_uux_vevexauux(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_uux_vevexauux(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_uux_vevexassx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_uux_vevexassx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_uux_vevexassx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_uux_vevexaccx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_uux_vevexaccx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_uux_vevexaccx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_usx_vevexausx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_usx_vevexausx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_usx_vevexausx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_ucx_vevexaucx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_ucx_vevexaucx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_ucx_vevexaucx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_dxdx_vevexadxdx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_dxdx_vevexadxdx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_dxdx_vevexadxdx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_dxux_vevexadxux(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_dxux_vevexadxux(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_dxux_vevexadxux(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_dxsx_vevexadxsx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_dxsx_vevexadxsx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_dxsx_vevexadxsx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_dxcx_vevexadxcx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_dxcx_vevexadxcx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_dxcx_vevexadxcx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_uxux_vevexauxux(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_uxux_vevexauxux(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_uxux_vevexauxux(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_ax_psp_230_uxcx_vevexauxcx(int no_ps, phasespace_set & psi);
void ppnenexa03_ac_psp_230_uxcx_vevexauxcx(int no_ps, int channel, phasespace_set & psi);
void ppnenexa03_ag_psp_230_uxcx_vevexauxcx(int no_ps, int zero, phasespace_set & psi);
void ppnenexa03_phasespacepoint_doublereal(observable_set & oset);

