#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppz01/header/ppz01.phasespace.h"
void ppz01_ag_psp_born(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppz01_ag_psp_born");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_phasespace_order_alpha_s[no_ps] == 0 && psi_phasespace_order_alpha_e[no_ps] == 1 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 2){ppz01_ag_psp_010_ddx_z(no_ps, zero, psi);}
    else if (psi_no_map[no_ps] == 3){ppz01_ag_psp_010_uux_z(no_ps, zero, psi);}
  }
  else if (psi_phasespace_order_alpha_s[no_ps] == 2 && psi_phasespace_order_alpha_e[no_ps] == 1 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 1){ppz01_ag_psp_210_gg_z(no_ps, zero, psi);}
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
