      subroutine qqb_z_v(p,msqb,msqv1,msqv2)
      implicit none
      include 'types.f'
      include 'constants.f'
      include 'nf.f'
      include 'mxpart.f'
      include 'qcdcouple.f'
      include 'scale.f'
      include 'epinv.f'
      include 'epinv2.f'
      include 'scheme.f'
      integer:: j,k
      real(dp):: p(mxpart,4),
     & msqv1(-nf:nf,-nf:nf),msqb(-nf:nf,-nf:nf),
     &     dot,xl12
      real(dp):: msqv2(-nf:nf,-nf:nf) ! two loop virtual corrections

      scheme='dred'
      xl12=log(two*dot(p,1,2)/musq)

c     virt=ason2pi*cf*(-2._dp*(epinv*epinv2-epinv*xl12+half*xl12**2)
!     WB: remember to remove 'ason2pi', scale dependences, add UV counterterms,
!         check the renormalization scheme, MCFM uses dimensional reduction
c$$$      virt=         cf*(-2._dp*(epinv*epinv2-epinv*xl12+half*xl12**2)
c$$$     &                 -3._dp*(epinv-xl12)
c$$$  &                 +pisq-7._dp)

      do j=-nf,nf
         do k=-nf,nf
            msqv1(j,k)=msqb(j,k)*cf*( -8d0 + 7d0/6d0*pi**2)
            msqv2(j,k)=msqb(j,k)*(-57433d0/972d0+281d0/162d0*pi**2
     &           +22d0/27d0*pi**4+1178d0/27d0*zeta3)
         enddo
      enddo

      end
      

      function dot(p,j,k)
      implicit none

      include 'types.f'
      include 'mxpart.f'

      real(dp):: p(mxpart,4),dot
      integer:: j,k

      dot = (p(j,4)*p(k,4)-p(j,1)*p(k,1)-p(j,2)*p(k,2)-p(j,3)*p(k,3))

      return
      end
