#include "ppeexnmnmx04.header.cxx"
void ppeexnmnmx04_determination_no_subprocess_doublereal(int & no_map, vector<int> & o_map, int & no_prc, vector<int> & o_prc, double & symmetry_factor, vector<int> & tp, int basic_order_alpha_s, int basic_order_alpha_e, int basic_order_interference){
  static Logger logger("ppeexnmnmx04_determination_no_subprocess_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  no_map = -1;
  vector<int> out(9);
  for (int i = 0; i < 2; i++){
    if (i == 0){out[1] = 1; out[2] = 2;}
    if (i == 1){out[1] = 2; out[2] = 1;}
    for (int o = 0; o < 2; o++){
      if (o == 0){out[7] = 7; out[8] = 8;}
      if (o == 1){out[7] = 8; out[8] = 7;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -1)){no_map = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -3)){no_map = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -5)){no_map = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -2)){no_map = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -4)){no_map = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   1)){no_map = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   3)){no_map = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   5)){no_map = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   2)){no_map = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   4)){no_map = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==  -1)){no_map = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==  -3)){no_map = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==  -5)){no_map = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==  -2)){no_map = 7; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==  -4)){no_map = 7; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==   1)){no_map = 8; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==   3)){no_map = 8; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==   5)){no_map = 8; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==   2)){no_map = 9; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==   4)){no_map = 9; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==   3)){no_map = 10; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==   1)){no_map = 10; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==   1)){no_map = 10; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==   3)){no_map = 10; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==   1)){no_map = 10; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==   3)){no_map = 10; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==   4)){no_map = 11; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==   2)){no_map = 11; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==   2)){no_map = 11; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==   4)){no_map = 11; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   0)){no_map = 13; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   0)){no_map = 13; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   0)){no_map = 13; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -1)){no_map = 14; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -3)){no_map = 14; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -5)){no_map = 14; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -2)){no_map = 15; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -4)){no_map = 15; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -3)){no_map = 16; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -1)){no_map = 16; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -5)){no_map = 16; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -5)){no_map = 16; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -1)){no_map = 16; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -3)){no_map = 16; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -4)){no_map = 17; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -2)){no_map = 17; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -2)){no_map = 17; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -4)){no_map = 17; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -2)){no_map = 18; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -4)){no_map = 18; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -3)){no_map = 20; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -1)){no_map = 20; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -5)){no_map = 20; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -5)){no_map = 20; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -1)){no_map = 20; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -3)){no_map = 20; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -4)){no_map = 22; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -2)){no_map = 22; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -2)){no_map = 22; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -4)){no_map = 22; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==   2)){no_map = 23; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==   4)){no_map = 23; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==   4)){no_map = 24; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==   2)){no_map = 24; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -1)){no_map = 25; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -3)){no_map = 25; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   0)){no_map = 27; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   0)){no_map = 27; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -1)){no_map = 28; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -3)){no_map = 28; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -2)){no_map = 29; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -4)){no_map = 29; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -3)){no_map = 30; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -1)){no_map = 30; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -5)){no_map = 30; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -5)){no_map = 30; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -4)){no_map = 31; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -2)){no_map = 31; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -3)){no_map = 32; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -1)){no_map = 32; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -5)){no_map = 32; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -5)){no_map = 32; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -4)){no_map = 34; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -2)){no_map = 34; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -1) && (tp[out[8]] ==  -1)){no_map = 35; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -3) && (tp[out[8]] ==  -3)){no_map = 35; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -5) && (tp[out[8]] ==  -5)){no_map = 35; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -1) && (tp[out[8]] ==  -2)){no_map = 36; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -3) && (tp[out[8]] ==  -4)){no_map = 36; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -1) && (tp[out[8]] ==  -3)){no_map = 37; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -3) && (tp[out[8]] ==  -1)){no_map = 37; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -5) && (tp[out[8]] ==  -1)){no_map = 37; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -5) && (tp[out[8]] ==  -3)){no_map = 37; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -5) && (tp[out[8]] ==  -1)){no_map = 37; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -5) && (tp[out[8]] ==  -3)){no_map = 37; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -1) && (tp[out[8]] ==  -4)){no_map = 38; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -3) && (tp[out[8]] ==  -2)){no_map = 38; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -5) && (tp[out[8]] ==  -2)){no_map = 38; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -5) && (tp[out[8]] ==  -4)){no_map = 38; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -2) && (tp[out[8]] ==  -2)){no_map = 40; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -4) && (tp[out[8]] ==  -4)){no_map = 40; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -2) && (tp[out[8]] ==  -4)){no_map = 41; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -4) && (tp[out[8]] ==  -2)){no_map = 41; break;}
    }
    if (no_map != -1){break;}
  }
  for (int o = 0; o < out.size(); o++){
    if (out[o] == 0){o_map[o] = o;}
    else {o_map[o] = out[o];}
  }
  no_prc = no_map;
  o_prc = o_map;
  if (no_map == 0){}
  else if (no_map == 2){symmetry_factor = 1;}
  else if (no_map == 3){symmetry_factor = 1;}
  else if (no_map == 4){symmetry_factor = 1;}
  else if (no_map == 5){symmetry_factor = 1;}
  else if (no_map == 6){symmetry_factor = 1;}
  else if (no_map == 7){symmetry_factor = 1;}
  else if (no_map == 8){symmetry_factor = 2;}
  else if (no_map == 9){symmetry_factor = 1;}
  else if (no_map == 10){symmetry_factor = 1;}
  else if (no_map == 11){symmetry_factor = 1;}
  else if (no_map == 13){symmetry_factor = 2;}
  else if (no_map == 14){symmetry_factor = 1;}
  else if (no_map == 15){symmetry_factor = 1;}
  else if (no_map == 16){symmetry_factor = 1;}
  else if (no_map == 17){symmetry_factor = 1;}
  else if (no_map == 18){symmetry_factor = 1;}
  else if (no_map == 20){symmetry_factor = 1;}
  else if (no_map == 22){symmetry_factor = 1;}
  else if (no_map == 23){symmetry_factor = 2;}
  else if (no_map == 24){symmetry_factor = 1;}
  else if (no_map == 25){symmetry_factor = 1;}
  else if (no_map == 27){symmetry_factor = 2;}
  else if (no_map == 28){symmetry_factor = 1;}
  else if (no_map == 29){symmetry_factor = 1;}
  else if (no_map == 30){symmetry_factor = 1;}
  else if (no_map == 31){symmetry_factor = 1;}
  else if (no_map == 32){symmetry_factor = 1;}
  else if (no_map == 34){symmetry_factor = 1;}
  else if (no_map == 35){symmetry_factor = 2;}
  else if (no_map == 36){symmetry_factor = 1;}
  else if (no_map == 37){symmetry_factor = 1;}
  else if (no_map == 38){symmetry_factor = 1;}
  else if (no_map == 40){symmetry_factor = 2;}
  else if (no_map == 41){symmetry_factor = 1;}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
void ppeexnmnmx04_determination_subprocess_doublereal(int i_a, phasespace_set & psi){
  static Logger logger("ppeexnmnmx04_determination_subprocess_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  vector<int> tp = psi.csi->basic_type_parton[i_a];
  //  ppeexnmnmx04_determination_no_subprocess_doublereal(psi_no_map[i_a], psi_o_map[i_a], psi_no_prc[i_a], psi_o_prc[i_a], psi_symmetry_factor, tp, psi_phasespace_order_alpha_s[i_a], psi_phasespace_order_alpha_e[i_a], psi_phasespace_order_interference[i_a]);

  psi_no_map[i_a] = -1;
  vector<int> out(9);
  for (int i = 0; i < 2; i++){
    if (i == 0){out[1] = 1; out[2] = 2;}
    if (i == 1){out[1] = 2; out[2] = 1;}
    for (int o = 0; o < 2; o++){
      if (o == 0){out[7] = 7; out[8] = 8;}
      if (o == 1){out[7] = 8; out[8] = 7;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -1)){psi_no_map[i_a] = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -3)){psi_no_map[i_a] = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -5)){psi_no_map[i_a] = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -2)){psi_no_map[i_a] = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -4)){psi_no_map[i_a] = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   1)){psi_no_map[i_a] = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   3)){psi_no_map[i_a] = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   5)){psi_no_map[i_a] = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   2)){psi_no_map[i_a] = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   4)){psi_no_map[i_a] = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==  -1)){psi_no_map[i_a] = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==  -3)){psi_no_map[i_a] = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==  -5)){psi_no_map[i_a] = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==  -2)){psi_no_map[i_a] = 7; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==  -4)){psi_no_map[i_a] = 7; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==   1)){psi_no_map[i_a] = 8; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==   3)){psi_no_map[i_a] = 8; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==   5)){psi_no_map[i_a] = 8; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==   2)){psi_no_map[i_a] = 9; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==   4)){psi_no_map[i_a] = 9; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==   3)){psi_no_map[i_a] = 10; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==   1)){psi_no_map[i_a] = 10; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==   1)){psi_no_map[i_a] = 10; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==   3)){psi_no_map[i_a] = 10; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==   1)){psi_no_map[i_a] = 10; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==   3)){psi_no_map[i_a] = 10; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==   4)){psi_no_map[i_a] = 11; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==   2)){psi_no_map[i_a] = 11; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==   2)){psi_no_map[i_a] = 11; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==   4)){psi_no_map[i_a] = 11; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   0)){psi_no_map[i_a] = 13; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   0)){psi_no_map[i_a] = 13; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   0)){psi_no_map[i_a] = 13; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -1)){psi_no_map[i_a] = 14; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -3)){psi_no_map[i_a] = 14; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -5)){psi_no_map[i_a] = 14; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -2)){psi_no_map[i_a] = 15; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -4)){psi_no_map[i_a] = 15; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -3)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -1)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -5)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -5)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -1)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -3)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -4)){psi_no_map[i_a] = 17; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -2)){psi_no_map[i_a] = 17; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -2)){psi_no_map[i_a] = 17; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -4)){psi_no_map[i_a] = 17; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -2)){psi_no_map[i_a] = 18; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -4)){psi_no_map[i_a] = 18; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -3)){psi_no_map[i_a] = 20; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -1)){psi_no_map[i_a] = 20; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -5)){psi_no_map[i_a] = 20; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -5)){psi_no_map[i_a] = 20; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -1)){psi_no_map[i_a] = 20; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -3)){psi_no_map[i_a] = 20; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -4)){psi_no_map[i_a] = 22; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -2)){psi_no_map[i_a] = 22; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -2)){psi_no_map[i_a] = 22; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -4)){psi_no_map[i_a] = 22; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==   2)){psi_no_map[i_a] = 23; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==   4)){psi_no_map[i_a] = 23; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==   4)){psi_no_map[i_a] = 24; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==   2)){psi_no_map[i_a] = 24; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -1)){psi_no_map[i_a] = 25; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -3)){psi_no_map[i_a] = 25; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   0)){psi_no_map[i_a] = 27; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   0) && (tp[out[8]] ==   0)){psi_no_map[i_a] = 27; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -1)){psi_no_map[i_a] = 28; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -3)){psi_no_map[i_a] = 28; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -2)){psi_no_map[i_a] = 29; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -4)){psi_no_map[i_a] = 29; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   3) && (tp[out[8]] ==  -3)){psi_no_map[i_a] = 30; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   1) && (tp[out[8]] ==  -1)){psi_no_map[i_a] = 30; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -5)){psi_no_map[i_a] = 30; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   5) && (tp[out[8]] ==  -5)){psi_no_map[i_a] = 30; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -4)){psi_no_map[i_a] = 31; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -2)){psi_no_map[i_a] = 31; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -3)){psi_no_map[i_a] = 32; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -1)){psi_no_map[i_a] = 32; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -5)){psi_no_map[i_a] = 32; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -5)){psi_no_map[i_a] = 32; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   2) && (tp[out[8]] ==  -4)){psi_no_map[i_a] = 34; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==   4) && (tp[out[8]] ==  -2)){psi_no_map[i_a] = 34; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -1) && (tp[out[8]] ==  -1)){psi_no_map[i_a] = 35; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -3) && (tp[out[8]] ==  -3)){psi_no_map[i_a] = 35; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -5) && (tp[out[8]] ==  -5)){psi_no_map[i_a] = 35; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -1) && (tp[out[8]] ==  -2)){psi_no_map[i_a] = 36; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -3) && (tp[out[8]] ==  -4)){psi_no_map[i_a] = 36; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -1) && (tp[out[8]] ==  -3)){psi_no_map[i_a] = 37; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -3) && (tp[out[8]] ==  -1)){psi_no_map[i_a] = 37; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -5) && (tp[out[8]] ==  -1)){psi_no_map[i_a] = 37; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -5) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -5) && (tp[out[8]] ==  -3)){psi_no_map[i_a] = 37; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -1) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -5) && (tp[out[8]] ==  -1)){psi_no_map[i_a] = 37; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -3) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -5) && (tp[out[8]] ==  -3)){psi_no_map[i_a] = 37; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -1) && (tp[out[8]] ==  -4)){psi_no_map[i_a] = 38; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -3) && (tp[out[8]] ==  -2)){psi_no_map[i_a] = 38; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -5) && (tp[out[8]] ==  -2)){psi_no_map[i_a] = 38; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -5) && (tp[out[8]] ==  -4)){psi_no_map[i_a] = 38; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -2) && (tp[out[8]] ==  -2)){psi_no_map[i_a] = 40; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -4) && (tp[out[8]] ==  -4)){psi_no_map[i_a] = 40; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -4) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -2) && (tp[out[8]] ==  -4)){psi_no_map[i_a] = 41; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -2) && (tp[3] ==  11) && (tp[4] == -11) && (tp[5] ==  14) && (tp[6] == -14) && (tp[out[7]] ==  -4) && (tp[out[8]] ==  -2)){psi_no_map[i_a] = 41; break;}
    }
    if (psi_no_map[i_a] != -1){break;}
  }
  for (int o = 0; o < out.size(); o++){
    if (out[o] == 0){psi_o_map[i_a][o] = o;}
    else {psi_o_map[i_a][o] = out[o];}
  }
  psi_no_prc[i_a] = psi_no_map[i_a];
  psi_o_prc[i_a] = psi_o_map[i_a];
  if (psi_no_map[i_a] == 0){}
  else if (psi_no_map[i_a] == 2){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 3){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 4){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 5){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 6){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 7){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 8){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 9){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 10){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 11){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 13){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 14){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 15){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 16){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 17){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 18){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 20){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 22){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 23){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 24){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 25){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 27){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 28){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 29){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 30){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 31){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 32){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 34){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 35){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 36){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 37){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 38){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 40){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 41){psi_symmetry_factor = 1;}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
void ppeexnmnmx04_combination_subprocess_doublereal(int i_a, phasespace_set & psi, observable_set & oset){
  static Logger logger("ppeexnmnmx04_combination_subprocess_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  if (psi_no_map[i_a] == 0){}
  else if (psi_no_map[i_a] == 2){
    int pdf_1[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  g   -> e  ex nm nmxd  dx 
    int pdf_2[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  g   -> e  ex nm nmxs  sx 
    int pdf_3[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // g  g   -> e  ex nm nmxb  bx 
  }
  else if (psi_no_map[i_a] == 3){
    int pdf_1[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  g   -> e  ex nm nmxu  ux 
    int pdf_2[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  g   -> e  ex nm nmxc  cx 
  }
  else if (psi_no_map[i_a] == 4){
    int pdf_1[] = { 1,   0,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  d   -> e  ex nm nmxg  d  
    int pdf_2[] = { 1,   0,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  s   -> e  ex nm nmxg  s  
    int pdf_3[] = { 1,   0,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // g  b   -> e  ex nm nmxg  b  
    int pdf_4[] = {-1,   0,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // d  g   -> e  ex nm nmxg  d  
    int pdf_5[] = {-1,   0,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // s  g   -> e  ex nm nmxg  s  
    int pdf_6[] = {-1,   0,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // b  g   -> e  ex nm nmxg  b  
  }
  else if (psi_no_map[i_a] == 5){
    int pdf_1[] = { 1,   0,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  u   -> e  ex nm nmxg  u  
    int pdf_2[] = { 1,   0,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  c   -> e  ex nm nmxg  c  
    int pdf_3[] = {-1,   0,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  g   -> e  ex nm nmxg  u  
    int pdf_4[] = {-1,   0,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  g   -> e  ex nm nmxg  c  
  }
  else if (psi_no_map[i_a] == 6){
    int pdf_1[] = { 1,   0,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  dx  -> e  ex nm nmxg  dx 
    int pdf_2[] = { 1,   0,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  sx  -> e  ex nm nmxg  sx 
    int pdf_3[] = { 1,   0,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // g  bx  -> e  ex nm nmxg  bx 
    int pdf_4[] = {-1,   0,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // dx g   -> e  ex nm nmxg  dx 
    int pdf_5[] = {-1,   0,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // sx g   -> e  ex nm nmxg  sx 
    int pdf_6[] = {-1,   0,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // bx g   -> e  ex nm nmxg  bx 
  }
  else if (psi_no_map[i_a] == 7){
    int pdf_1[] = { 1,   0,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  ux  -> e  ex nm nmxg  ux 
    int pdf_2[] = { 1,   0,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  cx  -> e  ex nm nmxg  cx 
    int pdf_3[] = {-1,   0,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux g   -> e  ex nm nmxg  ux 
    int pdf_4[] = {-1,   0,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx g   -> e  ex nm nmxg  cx 
  }
  else if (psi_no_map[i_a] == 8){
    int pdf_1[] = { 1,   1,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  d   -> e  ex nm nmxd  d  
    int pdf_2[] = { 1,   3,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  s   -> e  ex nm nmxs  s  
    int pdf_3[] = { 1,   5,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  b   -> e  ex nm nmxb  b  
  }
  else if (psi_no_map[i_a] == 9){
    int pdf_1[] = { 1,   1,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  u   -> e  ex nm nmxd  u  
    int pdf_2[] = { 1,   3,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  c   -> e  ex nm nmxs  c  
    int pdf_3[] = {-1,   1,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  d   -> e  ex nm nmxd  u  
    int pdf_4[] = {-1,   3,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  s   -> e  ex nm nmxs  c  
  }
  else if (psi_no_map[i_a] == 10){
    int pdf_1[] = { 1,   1,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  s   -> e  ex nm nmxd  s  
    int pdf_2[] = { 1,   3,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  d   -> e  ex nm nmxd  s  
    int pdf_3[] = { 1,   1,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // d  b   -> e  ex nm nmxd  b  
    int pdf_4[] = { 1,   3,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // s  b   -> e  ex nm nmxs  b  
    int pdf_5[] = { 1,   5,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // b  d   -> e  ex nm nmxd  b  
    int pdf_6[] = { 1,   5,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // b  s   -> e  ex nm nmxs  b  
  }
  else if (psi_no_map[i_a] == 11){
    int pdf_1[] = { 1,   1,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  c   -> e  ex nm nmxd  c  
    int pdf_2[] = { 1,   3,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  u   -> e  ex nm nmxu  s  
    int pdf_3[] = { 1,   5,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  u   -> e  ex nm nmxu  b  
    int pdf_4[] = { 1,   5,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // b  c   -> e  ex nm nmxc  b  
    int pdf_5[] = {-1,   3,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // u  s   -> e  ex nm nmxu  s  
    int pdf_6[] = {-1,   1,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // c  d   -> e  ex nm nmxd  c  
    int pdf_7[] = {-1,   5,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // u  b   -> e  ex nm nmxu  b  
    int pdf_8[] = {-1,   5,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // c  b   -> e  ex nm nmxc  b  
  }
  else if (psi_no_map[i_a] == 13){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> e  ex nm nmxg  g  
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> e  ex nm nmxg  g  
    int pdf_3[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  bx  -> e  ex nm nmxg  g  
    int pdf_4[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // dx d   -> e  ex nm nmxg  g  
    int pdf_5[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // sx s   -> e  ex nm nmxg  g  
    int pdf_6[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // bx b   -> e  ex nm nmxg  g  
  }
  else if (psi_no_map[i_a] == 14){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> e  ex nm nmxd  dx 
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> e  ex nm nmxs  sx 
    int pdf_3[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  bx  -> e  ex nm nmxb  bx 
    int pdf_4[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // dx d   -> e  ex nm nmxd  dx 
    int pdf_5[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // sx s   -> e  ex nm nmxs  sx 
    int pdf_6[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // bx b   -> e  ex nm nmxb  bx 
  }
  else if (psi_no_map[i_a] == 15){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> e  ex nm nmxu  ux 
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> e  ex nm nmxc  cx 
    int pdf_3[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx d   -> e  ex nm nmxu  ux 
    int pdf_4[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx s   -> e  ex nm nmxc  cx 
  }
  else if (psi_no_map[i_a] == 16){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> e  ex nm nmxs  sx 
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> e  ex nm nmxd  dx 
    int pdf_3[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // d  dx  -> e  ex nm nmxb  bx 
    int pdf_4[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // s  sx  -> e  ex nm nmxb  bx 
    int pdf_5[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // b  bx  -> e  ex nm nmxd  dx 
    int pdf_6[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // b  bx  -> e  ex nm nmxs  sx 
    int pdf_7[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // dx d   -> e  ex nm nmxs  sx 
    int pdf_8[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // sx s   -> e  ex nm nmxd  dx 
    int pdf_9[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_9, 3));   // dx d   -> e  ex nm nmxb  bx 
    int pdf_10[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_10, 3));   // sx s   -> e  ex nm nmxb  bx 
    int pdf_11[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_11, 3));   // bx b   -> e  ex nm nmxd  dx 
    int pdf_12[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_12, 3));   // bx b   -> e  ex nm nmxs  sx 
  }
  else if (psi_no_map[i_a] == 17){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> e  ex nm nmxc  cx 
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> e  ex nm nmxu  ux 
    int pdf_3[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  bx  -> e  ex nm nmxu  ux 
    int pdf_4[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // b  bx  -> e  ex nm nmxc  cx 
    int pdf_5[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // dx d   -> e  ex nm nmxc  cx 
    int pdf_6[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // sx s   -> e  ex nm nmxu  ux 
    int pdf_7[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // bx b   -> e  ex nm nmxu  ux 
    int pdf_8[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // bx b   -> e  ex nm nmxc  cx 
  }
  else if (psi_no_map[i_a] == 18){
    int pdf_1[] = { 1,   1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  ux  -> e  ex nm nmxd  ux 
    int pdf_2[] = { 1,   3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  cx  -> e  ex nm nmxs  cx 
    int pdf_3[] = {-1,   1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux d   -> e  ex nm nmxd  ux 
    int pdf_4[] = {-1,   3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx s   -> e  ex nm nmxs  cx 
  }
  else if (psi_no_map[i_a] == 20){
    int pdf_1[] = { 1,   1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  sx  -> e  ex nm nmxd  sx 
    int pdf_2[] = { 1,   3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  dx  -> e  ex nm nmxs  dx 
    int pdf_3[] = { 1,   1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // d  bx  -> e  ex nm nmxd  bx 
    int pdf_4[] = { 1,   3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // s  bx  -> e  ex nm nmxs  bx 
    int pdf_5[] = { 1,   5,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // b  dx  -> e  ex nm nmxb  dx 
    int pdf_6[] = { 1,   5,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // b  sx  -> e  ex nm nmxb  sx 
    int pdf_7[] = {-1,   3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // dx s   -> e  ex nm nmxs  dx 
    int pdf_8[] = {-1,   1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // sx d   -> e  ex nm nmxd  sx 
    int pdf_9[] = {-1,   5,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_9, 3));   // dx b   -> e  ex nm nmxb  dx 
    int pdf_10[] = {-1,   5,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_10, 3));   // sx b   -> e  ex nm nmxb  sx 
    int pdf_11[] = {-1,   1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_11, 3));   // bx d   -> e  ex nm nmxd  bx 
    int pdf_12[] = {-1,   3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_12, 3));   // bx s   -> e  ex nm nmxs  bx 
  }
  else if (psi_no_map[i_a] == 22){
    int pdf_1[] = { 1,   1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  cx  -> e  ex nm nmxd  cx 
    int pdf_2[] = { 1,   3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  ux  -> e  ex nm nmxs  ux 
    int pdf_3[] = { 1,   5,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  ux  -> e  ex nm nmxb  ux 
    int pdf_4[] = { 1,   5,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // b  cx  -> e  ex nm nmxb  cx 
    int pdf_5[] = {-1,   3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // ux s   -> e  ex nm nmxs  ux 
    int pdf_6[] = {-1,   1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // cx d   -> e  ex nm nmxd  cx 
    int pdf_7[] = {-1,   5,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // ux b   -> e  ex nm nmxb  ux 
    int pdf_8[] = {-1,   5,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // cx b   -> e  ex nm nmxb  cx 
  }
  else if (psi_no_map[i_a] == 23){
    int pdf_1[] = { 1,   2,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  u   -> e  ex nm nmxu  u  
    int pdf_2[] = { 1,   4,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  c   -> e  ex nm nmxc  c  
  }
  else if (psi_no_map[i_a] == 24){
    int pdf_1[] = { 1,   2,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  c   -> e  ex nm nmxu  c  
    int pdf_2[] = { 1,   4,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  u   -> e  ex nm nmxu  c  
  }
  else if (psi_no_map[i_a] == 25){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> e  ex nm nmxu  dx 
    int pdf_2[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  sx  -> e  ex nm nmxc  sx 
    int pdf_3[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx u   -> e  ex nm nmxu  dx 
    int pdf_4[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx c   -> e  ex nm nmxc  sx 
  }
  else if (psi_no_map[i_a] == 27){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> e  ex nm nmxg  g  
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> e  ex nm nmxg  g  
    int pdf_3[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux u   -> e  ex nm nmxg  g  
    int pdf_4[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx c   -> e  ex nm nmxg  g  
  }
  else if (psi_no_map[i_a] == 28){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> e  ex nm nmxd  dx 
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> e  ex nm nmxs  sx 
    int pdf_3[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux u   -> e  ex nm nmxd  dx 
    int pdf_4[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx c   -> e  ex nm nmxs  sx 
  }
  else if (psi_no_map[i_a] == 29){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> e  ex nm nmxu  ux 
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> e  ex nm nmxc  cx 
    int pdf_3[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux u   -> e  ex nm nmxu  ux 
    int pdf_4[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx c   -> e  ex nm nmxc  cx 
  }
  else if (psi_no_map[i_a] == 30){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> e  ex nm nmxs  sx 
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> e  ex nm nmxd  dx 
    int pdf_3[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  ux  -> e  ex nm nmxb  bx 
    int pdf_4[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  cx  -> e  ex nm nmxb  bx 
    int pdf_5[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // ux u   -> e  ex nm nmxs  sx 
    int pdf_6[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // cx c   -> e  ex nm nmxd  dx 
    int pdf_7[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // ux u   -> e  ex nm nmxb  bx 
    int pdf_8[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // cx c   -> e  ex nm nmxb  bx 
  }
  else if (psi_no_map[i_a] == 31){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> e  ex nm nmxc  cx 
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> e  ex nm nmxu  ux 
    int pdf_3[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux u   -> e  ex nm nmxc  cx 
    int pdf_4[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx c   -> e  ex nm nmxu  ux 
  }
  else if (psi_no_map[i_a] == 32){
    int pdf_1[] = { 1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  sx  -> e  ex nm nmxu  sx 
    int pdf_2[] = { 1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  dx  -> e  ex nm nmxc  dx 
    int pdf_3[] = { 1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  bx  -> e  ex nm nmxu  bx 
    int pdf_4[] = { 1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  bx  -> e  ex nm nmxc  bx 
    int pdf_5[] = {-1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // dx c   -> e  ex nm nmxc  dx 
    int pdf_6[] = {-1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // sx u   -> e  ex nm nmxu  sx 
    int pdf_7[] = {-1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // bx u   -> e  ex nm nmxu  bx 
    int pdf_8[] = {-1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // bx c   -> e  ex nm nmxc  bx 
  }
  else if (psi_no_map[i_a] == 34){
    int pdf_1[] = { 1,   2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  cx  -> e  ex nm nmxu  cx 
    int pdf_2[] = { 1,   4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  ux  -> e  ex nm nmxc  ux 
    int pdf_3[] = {-1,   4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux c   -> e  ex nm nmxc  ux 
    int pdf_4[] = {-1,   2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx u   -> e  ex nm nmxu  cx 
  }
  else if (psi_no_map[i_a] == 35){
    int pdf_1[] = { 1,  -1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx dx  -> e  ex nm nmxdx dx 
    int pdf_2[] = { 1,  -3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx sx  -> e  ex nm nmxsx sx 
    int pdf_3[] = { 1,  -5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // bx bx  -> e  ex nm nmxbx bx 
  }
  else if (psi_no_map[i_a] == 36){
    int pdf_1[] = { 1,  -1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx ux  -> e  ex nm nmxdx ux 
    int pdf_2[] = { 1,  -3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx cx  -> e  ex nm nmxsx cx 
    int pdf_3[] = {-1,  -1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux dx  -> e  ex nm nmxdx ux 
    int pdf_4[] = {-1,  -3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx sx  -> e  ex nm nmxsx cx 
  }
  else if (psi_no_map[i_a] == 37){
    int pdf_1[] = { 1,  -1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx sx  -> e  ex nm nmxdx sx 
    int pdf_2[] = { 1,  -3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx dx  -> e  ex nm nmxdx sx 
    int pdf_3[] = { 1,  -1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx bx  -> e  ex nm nmxdx bx 
    int pdf_4[] = { 1,  -3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx bx  -> e  ex nm nmxsx bx 
    int pdf_5[] = { 1,  -5,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // bx dx  -> e  ex nm nmxdx bx 
    int pdf_6[] = { 1,  -5,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // bx sx  -> e  ex nm nmxsx bx 
  }
  else if (psi_no_map[i_a] == 38){
    int pdf_1[] = { 1,  -1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx cx  -> e  ex nm nmxdx cx 
    int pdf_2[] = { 1,  -3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx ux  -> e  ex nm nmxux sx 
    int pdf_3[] = { 1,  -5,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // bx ux  -> e  ex nm nmxux bx 
    int pdf_4[] = { 1,  -5,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // bx cx  -> e  ex nm nmxcx bx 
    int pdf_5[] = {-1,  -3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // ux sx  -> e  ex nm nmxux sx 
    int pdf_6[] = {-1,  -1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // cx dx  -> e  ex nm nmxdx cx 
    int pdf_7[] = {-1,  -5,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // ux bx  -> e  ex nm nmxux bx 
    int pdf_8[] = {-1,  -5,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // cx bx  -> e  ex nm nmxcx bx 
  }
  else if (psi_no_map[i_a] == 40){
    int pdf_1[] = { 1,  -2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // ux ux  -> e  ex nm nmxux ux 
    int pdf_2[] = { 1,  -4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx cx  -> e  ex nm nmxcx cx 
  }
  else if (psi_no_map[i_a] == 41){
    int pdf_1[] = { 1,  -2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // ux cx  -> e  ex nm nmxux cx 
    int pdf_2[] = { 1,  -4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx ux  -> e  ex nm nmxux cx 
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
