void ppemexmx04_particles(int i_a, observable_set & oset);

void ppemexmx04_cuts(int i_a, observable_set & oset);
void ppemexmx04_cuts_test(int i_a, observable_set & oset);

void ppemexmx04_moments(observable_set & oset);

void ppemexmx04_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppemexmx04_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppemexmx04_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppemexmx04_optimize_minv_born(phasespace_set & psi);
int ppemexmx04_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppemexmx04_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_born(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ax_psp_040_ddx_emmumepmup(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_040_ddx_emmumepmup(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_040_ddx_emmumepmup(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_040_uux_emmumepmup(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_040_uux_emmumepmup(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_040_uux_emmumepmup(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_gg_emmumepmup(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_gg_emmumepmup(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_gg_emmumepmup(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_phasespacepoint_born(observable_set & oset);

void ppemexmx04_phasespacepoint_collinear(observable_set & oset);

void ppemexmx04_optimize_minv_real(phasespace_set & psi);
int ppemexmx04_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppemexmx04_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_real(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ax_psp_140_gd_emmumepmupd(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_140_gd_emmumepmupd(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_140_gd_emmumepmupd(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_140_gu_emmumepmupu(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_140_gu_emmumepmupu(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_140_gu_emmumepmupu(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_140_gdx_emmumepmupdx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_140_gdx_emmumepmupdx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_140_gdx_emmumepmupdx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_140_gux_emmumepmupux(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_140_gux_emmumepmupux(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_140_gux_emmumepmupux(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_140_ddx_emmumepmupg(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_140_ddx_emmumepmupg(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_140_ddx_emmumepmupg(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_140_uux_emmumepmupg(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_140_uux_emmumepmupg(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_140_uux_emmumepmupg(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_phasespacepoint_real(observable_set & oset);

void ppemexmx04_phasespacepoint_realcollinear(observable_set & oset);

void ppemexmx04_optimize_minv_doublereal(phasespace_set & psi);
int ppemexmx04_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppemexmx04_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ax_psp_240_gg_emmumepmupddx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_gg_emmumepmupddx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_gg_emmumepmupddx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_gg_emmumepmupuux(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_gg_emmumepmupuux(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_gg_emmumepmupuux(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_gd_emmumepmupgd(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_gd_emmumepmupgd(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_gd_emmumepmupgd(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_gu_emmumepmupgu(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_gu_emmumepmupgu(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_gu_emmumepmupgu(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_gdx_emmumepmupgdx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_gdx_emmumepmupgdx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_gdx_emmumepmupgdx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_gux_emmumepmupgux(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_gux_emmumepmupgux(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_gux_emmumepmupgux(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_dd_emmumepmupdd(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_dd_emmumepmupdd(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_dd_emmumepmupdd(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_du_emmumepmupdu(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_du_emmumepmupdu(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_du_emmumepmupdu(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_ds_emmumepmupds(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_ds_emmumepmupds(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_ds_emmumepmupds(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_dc_emmumepmupdc(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_dc_emmumepmupdc(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_dc_emmumepmupdc(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_ddx_emmumepmupgg(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_ddx_emmumepmupgg(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_ddx_emmumepmupgg(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_ddx_emmumepmupddx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_ddx_emmumepmupddx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_ddx_emmumepmupddx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_ddx_emmumepmupuux(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_ddx_emmumepmupuux(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_ddx_emmumepmupuux(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_ddx_emmumepmupssx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_ddx_emmumepmupssx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_ddx_emmumepmupssx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_ddx_emmumepmupccx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_ddx_emmumepmupccx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_ddx_emmumepmupccx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_dux_emmumepmupdux(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_dux_emmumepmupdux(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_dux_emmumepmupdux(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_dsx_emmumepmupdsx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_dsx_emmumepmupdsx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_dsx_emmumepmupdsx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_dcx_emmumepmupdcx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_dcx_emmumepmupdcx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_dcx_emmumepmupdcx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_uu_emmumepmupuu(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_uu_emmumepmupuu(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_uu_emmumepmupuu(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_uc_emmumepmupuc(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_uc_emmumepmupuc(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_uc_emmumepmupuc(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_udx_emmumepmupudx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_udx_emmumepmupudx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_udx_emmumepmupudx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_uux_emmumepmupgg(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_uux_emmumepmupgg(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_uux_emmumepmupgg(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_uux_emmumepmupddx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_uux_emmumepmupddx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_uux_emmumepmupddx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_uux_emmumepmupuux(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_uux_emmumepmupuux(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_uux_emmumepmupuux(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_uux_emmumepmupssx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_uux_emmumepmupssx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_uux_emmumepmupssx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_uux_emmumepmupccx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_uux_emmumepmupccx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_uux_emmumepmupccx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_usx_emmumepmupusx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_usx_emmumepmupusx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_usx_emmumepmupusx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_ucx_emmumepmupucx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_ucx_emmumepmupucx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_ucx_emmumepmupucx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_dxdx_emmumepmupdxdx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_dxdx_emmumepmupdxdx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_dxdx_emmumepmupdxdx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_dxux_emmumepmupdxux(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_dxux_emmumepmupdxux(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_dxux_emmumepmupdxux(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_dxsx_emmumepmupdxsx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_dxsx_emmumepmupdxsx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_dxsx_emmumepmupdxsx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_dxcx_emmumepmupdxcx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_dxcx_emmumepmupdxcx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_dxcx_emmumepmupdxcx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_uxux_emmumepmupuxux(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_uxux_emmumepmupuxux(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_uxux_emmumepmupuxux(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_ax_psp_240_uxcx_emmumepmupuxcx(int no_ps, phasespace_set & psi);
void ppemexmx04_ac_psp_240_uxcx_emmumepmupuxcx(int no_ps, int channel, phasespace_set & psi);
void ppemexmx04_ag_psp_240_uxcx_emmumepmupuxcx(int no_ps, int zero, phasespace_set & psi);
void ppemexmx04_phasespacepoint_doublereal(observable_set & oset);

