#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexa03/header/ppeexa03.phasespace.h"
void ppeexa03_ag_psp_born(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppeexa03_ag_psp_born");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_phasespace_order_alpha_s[no_ps] == 0 && psi_phasespace_order_alpha_e[no_ps] == 3 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 2){ppeexa03_ag_psp_030_ddx_emepa(no_ps, zero, psi);}
    else if (psi_no_map[no_ps] == 3){ppeexa03_ag_psp_030_uux_emepa(no_ps, zero, psi);}
  }
  else if (psi_phasespace_order_alpha_s[no_ps] == 2 && psi_phasespace_order_alpha_e[no_ps] == 3 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 1){ppeexa03_ag_psp_230_gg_emepa(no_ps, zero, psi);}
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
