#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemexnmx04/header/ppemexnmx04.phasespace.h"
void ppemexnmx04_ac_psp_240_uux_emmumepvmxcsx(int no_ps, int channel, phasespace_set & psi){
  static Logger logger("ppemexnmx04_ac_psp_240_uux_emmumepvmxcsx");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  double g_IS_temp;
  int ran = 1;
  for (int i_p = 0; i_p < psi_c_p[no_ps][channel].size(); i_p++){
    if (psi_c_p[no_ps][channel][i_p] ==   0){
      psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][40];
      psi_v_smax[no_ps][  0] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][212], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 0] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 0]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  0], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   1){
      psi_v_smin[no_ps][  1] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][40], 2), psi_smin_opt[no_ps][56]);
      psi_v_smax[no_ps][  1] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][196], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 1] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 1]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  56, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  1], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   2){
      psi_v_smin[no_ps][  2] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][56], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 2] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 2]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   3){
      psi_v_smin[no_ps][  3] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][60], 2), psi_smin_opt[no_ps][188]);
      psi_v_smax[no_ps][  3] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][64], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 3] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 3]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 188, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  3], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   4){
      psi_v_smin[no_ps][  4] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][60], 2), psi_smin_opt[no_ps][124]);
      psi_v_smax[no_ps][  4] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][128], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 4] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 4]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 124, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  4], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   5){
      psi_v_smin[no_ps][  5] = psi_smin_opt[no_ps][20];
      psi_v_smax[no_ps][  5] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][232], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 5] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 5]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  5], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   6){
      psi_v_smin[no_ps][  6] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][20], 2), psi_smin_opt[no_ps][52]);
      psi_v_smax[no_ps][  6] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][200], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 6] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 6]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  52, psi_v_smin[no_ps][  6], psi_v_smax[no_ps][  6], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   7){
      psi_v_smin[no_ps][  7] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][52], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 7] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 7]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  60, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][  2], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   8){
      psi_v_smin[no_ps][  5] = psi_smin_opt[no_ps][20];
      psi_v_smax[no_ps][  5] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][232], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 8] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 8]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  5], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   9){
      psi_v_smin[no_ps][  8] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][20], 2), psi_smin_opt[no_ps][28]);
      psi_v_smax[no_ps][  7] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][224], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 9] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 9]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  28, psi_v_smin[no_ps][  8], psi_v_smax[no_ps][  7], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  10){
      psi_v_smin[no_ps][  9] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][28], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 10] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 10]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  60, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][  2], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  11){
      psi_v_smin[no_ps][  5] = psi_smin_opt[no_ps][20];
      psi_v_smax[no_ps][  8] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][192] + psi_xbsqrts[no_ps][40], psi_sqrtsmin_opt[no_ps][232]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 11] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 11]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  8], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  12){
      psi_v_smin[no_ps][ 10] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][20] + psi_xbsqrts[no_ps][40], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 12] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 12]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  60, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][  2], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  13){
      psi_v_smin[no_ps][  5] = psi_smin_opt[no_ps][20];
      psi_v_smax[no_ps][  8] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][192] + psi_xbsqrts[no_ps][40], psi_sqrtsmin_opt[no_ps][232]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 13] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 13]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  8], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  14){
      psi_v_smin[no_ps][ 11] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][40], 2), psi_smin_opt[no_ps][104]);
      psi_v_smax[no_ps][  9] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][148], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 14] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 14]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 104, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][  9], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  15){
      psi_v_smin[no_ps][  5] = psi_smin_opt[no_ps][20];
      psi_v_smax[no_ps][ 10] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][104], psi_sqrtsmin_opt[no_ps][232]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 15] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 15]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][ 10], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  16){
      psi_v_smin[no_ps][ 12] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][20] + psi_xbsqrts[no_ps][104], 2), psi_smin_opt[no_ps][124]);
      psi_v_smax[no_ps][  4] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][128], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 16] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 16]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 124, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][  4], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  17){
      psi_v_smin[no_ps][  5] = psi_smin_opt[no_ps][20];
      psi_v_smax[no_ps][ 10] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][104], psi_sqrtsmin_opt[no_ps][232]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 17] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 17]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][ 10], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  18){
      psi_v_smin[no_ps][ 13] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][40], 2), psi_smin_opt[no_ps][168]);
      psi_v_smax[no_ps][ 11] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][84], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 18] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 18]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 168, psi_v_smin[no_ps][ 13], psi_v_smax[no_ps][ 11], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  19){
      psi_v_smin[no_ps][  5] = psi_smin_opt[no_ps][20];
      psi_v_smax[no_ps][ 12] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][168], psi_sqrtsmin_opt[no_ps][232]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 19] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 19]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][ 12], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  20){
      psi_v_smin[no_ps][ 14] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][20] + psi_xbsqrts[no_ps][168], 2), psi_smin_opt[no_ps][188]);
      psi_v_smax[no_ps][  3] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][64], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 20] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 20]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 188, psi_v_smin[no_ps][ 14], psi_v_smax[no_ps][  3], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  21){
      psi_v_smin[no_ps][  5] = psi_smin_opt[no_ps][20];
      psi_v_smax[no_ps][ 12] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][168], psi_sqrtsmin_opt[no_ps][232]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 21] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 21]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][ 12], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  22){
      psi_v_smin[no_ps][ 15] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][20], 2), psi_smin_opt[no_ps][84]);
      psi_v_smax[no_ps][ 13] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][168], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 22] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 22]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  84, psi_v_smin[no_ps][ 15], psi_v_smax[no_ps][ 13], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  23){
      psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][40];
      psi_v_smax[no_ps][ 14] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][84], psi_sqrtsmin_opt[no_ps][212]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 23] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 23]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 14], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  24){
      psi_v_smin[no_ps][ 16] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][40] + psi_xbsqrts[no_ps][84], 2), psi_smin_opt[no_ps][124]);
      psi_v_smax[no_ps][  4] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][128], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 24] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 24]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 124, psi_v_smin[no_ps][ 16], psi_v_smax[no_ps][  4], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  25){
      psi_v_smin[no_ps][ 17] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][20], 2), psi_smin_opt[no_ps][148]);
      psi_v_smax[no_ps][ 15] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][104], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 25] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 25]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 148, psi_v_smin[no_ps][ 17], psi_v_smax[no_ps][ 15], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  26){
      psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][40];
      psi_v_smax[no_ps][ 16] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][148], psi_sqrtsmin_opt[no_ps][212]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 26] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 26]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 16], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  27){
      psi_v_smin[no_ps][ 18] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][40] + psi_xbsqrts[no_ps][148], 2), psi_smin_opt[no_ps][188]);
      psi_v_smax[no_ps][  3] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][64], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 27] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 27]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 188, psi_v_smin[no_ps][ 18], psi_v_smax[no_ps][  3], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  28){
      psi_v_smin[no_ps][ 13] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][40], 2), psi_smin_opt[no_ps][168]);
      psi_v_smax[no_ps][ 17] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][20], psi_sqrtsmin_opt[no_ps][84]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 28] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 28]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 168, psi_v_smin[no_ps][ 13], psi_v_smax[no_ps][ 17], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  29){
      psi_v_smin[no_ps][ 15] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][20], 2), psi_smin_opt[no_ps][84]);
      psi_v_smax[no_ps][ 18] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][168], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 29] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 29]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  84, psi_v_smin[no_ps][ 15], psi_v_smax[no_ps][ 18], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  30){
      psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][40];
      psi_v_smax[no_ps][ 19] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][192] + psi_xbsqrts[no_ps][20], psi_sqrtsmin_opt[no_ps][212]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 30] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 30]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 19], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  31){
      psi_v_smin[no_ps][ 17] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][20], 2), psi_smin_opt[no_ps][148]);
      psi_v_smax[no_ps][ 20] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][40], psi_sqrtsmin_opt[no_ps][104]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 31] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 31]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 148, psi_v_smin[no_ps][ 17], psi_v_smax[no_ps][ 20], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  32){
      psi_v_smin[no_ps][ 11] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][40], 2), psi_smin_opt[no_ps][104]);
      psi_v_smax[no_ps][ 21] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][148], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 32] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 32]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 104, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][ 21], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  33){
      psi_v_smin[no_ps][ 19] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][168], 2), psi_smin_opt[no_ps][232]);
      psi_v_smax[no_ps][ 22] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][20], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 33] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 33]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 232, psi_v_smin[no_ps][ 19], psi_v_smax[no_ps][ 22], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  34){
      psi_v_smin[no_ps][  5] = psi_smin_opt[no_ps][20];
      psi_v_smax[no_ps][ 23] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][232], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 34] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 34]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][ 23], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  35){
      psi_v_smin[no_ps][  5] = psi_smin_opt[no_ps][20];
      psi_v_smax[no_ps][ 23] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][232], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 35] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 35]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][ 23], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  36){
      psi_v_smin[no_ps][ 20] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][104], 2), psi_smin_opt[no_ps][232]);
      psi_v_smax[no_ps][ 22] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][20], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 36] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 36]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 232, psi_v_smin[no_ps][ 20], psi_v_smax[no_ps][ 22], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  37){
      psi_v_smin[no_ps][ 19] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][168], 2), psi_smin_opt[no_ps][232]);
      psi_v_smax[no_ps][ 24] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][20], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 37] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 37]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 232, psi_v_smin[no_ps][ 19], psi_v_smax[no_ps][ 24], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  38){
      psi_v_smin[no_ps][ 11] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][40], 2), psi_smin_opt[no_ps][104]);
      psi_v_smax[no_ps][ 25] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][20], psi_sqrtsmin_opt[no_ps][148]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 38] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 38]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 104, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][ 25], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  39){
      psi_v_smin[no_ps][ 20] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][104], 2), psi_smin_opt[no_ps][232]);
      psi_v_smax[no_ps][ 24] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][20], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 39] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 39]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 232, psi_v_smin[no_ps][ 20], psi_v_smax[no_ps][ 24], ran + i_p);
    }
  }
  ran += psi_c_p[no_ps][channel].size();

  for (int i_f = 0; i_f < psi_c_f[no_ps][channel].size(); i_f++){
  }
  ran += psi_c_f[no_ps][channel].size();

  for (int i_t = 0; i_t < psi_c_t[no_ps][channel].size(); i_t++){
    if      (psi_c_t[no_ps][channel][i_t] ==   0){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 0] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 0]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 0] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 1]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   0, 252,   1,   2,  20, 232, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==   1){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 1] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 2]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 1] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 3]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   0, 252,   2,   1,  20, 232, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
  }
  ran += 2 * psi_c_t[no_ps][channel].size();

  for (int i_d = 0; i_d < psi_c_d[no_ps][channel].size(); i_d++){
    if      (psi_c_d[no_ps][channel][i_d] ==   0){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 0] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 0]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 0] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 1]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 252,  64, 188, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   1){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 1] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 2]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 1] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 3]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 188, 128,  60, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   2){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 2] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 4]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 2] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 5]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  60,   4,  56, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   3){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 3] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 6]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 3] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 7]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  56,  16,  40, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   4){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 4] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 8]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 4] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 9]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  40,   8,  32, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   5){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 5] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 10]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 5] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 11]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 252, 128, 124, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   6){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 6] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 12]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 6] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 13]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 124,  64,  60, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   7){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 7] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 14]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 7] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 15]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  60,   8,  52, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   8){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 8] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 16]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 8] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 17]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  52,  32,  20, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   9){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 9] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 18]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 9] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 19]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  20,   4,  16, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  10){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 10] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 20]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 10] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 21]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  60,  32,  28, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  11){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 11] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 22]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 11] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 23]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  28,   8,  20, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  12){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 12] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 24]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 12] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 25]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  60,  20,  40, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  13){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 13] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 26]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 13] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 27]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 124,  20, 104, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  14){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 14] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 28]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 14] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 29]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 104,  64,  40, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  15){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 15] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 30]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 15] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 31]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 188,  20, 168, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  16){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 16] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 32]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 16] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 33]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 168, 128,  40, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  17){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 17] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 34]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 17] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 35]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 124,  40,  84, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  18){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 18] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 36]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 18] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 37]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  84,  64,  20, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  19){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 19] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 38]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 19] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 39]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 188,  40, 148, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  20){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 20] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 40]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 20] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 41]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 148, 128,  20, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  21){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 21] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 42]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 21] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 43]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 252,  84, 168, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  22){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 22] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 44]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 22] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 45]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 252, 104, 148, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  23){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 23] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 46]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 23] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 47]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 232,  64, 168, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  24){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 24] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 48]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 24] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 49]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 232, 128, 104, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
  }
  ran += 2 * psi_c_d[no_ps][channel].size();

  /*
  if      (channel ==    0){ac_channel_6yyyyv(r, 1, 2, 64, 128, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  24,   0,   0, psi);}
  else if (channel ==    1){ac_channel_6yyyyv(r, 1, 2, 128, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  24,   0,   0, psi);}
  else if (channel ==    2){ac_channel_6yyyyv(r, 1, 2, 64, 128, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  24,   0,   0, psi);}
  else if (channel ==    3){ac_channel_6yyyyv(r, 1, 2, 128, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  24,   0,   0, psi);}
  else if (channel ==    4){ac_channel_6yyyyv(r, 1, 2, 64, 128, 32, 8, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  24,   0,   0, psi);}
  else if (channel ==    5){ac_channel_6yyyyv(r, 1, 2, 64, 128, 32, 8, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  24,   0,   0, psi);}
  else if (channel ==    6){ac_channel_6yyyyv(r, 1, 2, 128, 64, 32, 8, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  24,   0,   0, psi);}
  else if (channel ==    7){ac_channel_6yyyyv(r, 1, 2, 128, 64, 32, 8, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  24,   0,   0, psi);}
  else if (channel ==    8){ac_channel_6yy2vv(r, 1, 2, 64, 128, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  24,   0,   0, psi);}
  else if (channel ==    9){ac_channel_6yy2vv(r, 1, 2, 64, 128, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  23,  24,   0,   0, psi);}
  else if (channel ==   10){ac_channel_6yy2vv(r, 1, 2, 128, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  24,   0,   0, psi);}
  else if (channel ==   11){ac_channel_6yy2vv(r, 1, 2, 128, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  23,  24,   0,   0, psi);}
  else if (channel ==   12){ac_channel_6y2vyv(r, 1, 2, 128, 4, 16, 64, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  else if (channel ==   13){ac_channel_6y2vyv(r, 1, 2, 128, 4, 16, 64, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  else if (channel ==   14){ac_channel_6y2vyv(r, 1, 2, 64, 4, 16, 128, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  else if (channel ==   15){ac_channel_6y2vyv(r, 1, 2, 64, 4, 16, 128, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  else if (channel ==   16){ac_channel_6y2vyv(r, 1, 2, 128, 8, 32, 64, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  24,   0,   0, psi);}
  else if (channel ==   17){ac_channel_6y2vyv(r, 1, 2, 128, 8, 32, 64, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  24,   0,   0, psi);}
  else if (channel ==   18){ac_channel_6y2vyv(r, 1, 2, 64, 8, 32, 128, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  24,   0,   0, psi);}
  else if (channel ==   19){ac_channel_6y2vyv(r, 1, 2, 64, 8, 32, 128, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  24,   0,   0, psi);}
  else if (channel ==   20){ac_channel_63yvyv(r, 1, 2, 64, 4, 16, 128, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  else if (channel ==   21){ac_channel_63yvyv(r, 1, 2, 64, 4, 16, 128, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  23,   0,   0,   0, psi);}
  else if (channel ==   22){ac_channel_63yvyv(r, 1, 2, 64, 8, 32, 128, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0,   0, psi);}
  else if (channel ==   23){ac_channel_63yvyv(r, 1, 2, 64, 8, 32, 128, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,  24,   0,   0,   0, psi);}
  else if (channel ==   24){ac_channel_2v4yyv(r, 1, 2, 4, 16, 64, 128, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  else if (channel ==   25){ac_channel_2v4yyv(r, 1, 2, 4, 16, 64, 128, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,  23,   0, psi);}
  else if (channel ==   26){ac_channel_2v4yyv(r, 1, 2, 4, 16, 128, 64, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  else if (channel ==   27){ac_channel_2v4yyv(r, 1, 2, 4, 16, 128, 64, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,  23,   0, psi);}
  else if (channel ==   28){ac_channel_4yyv2v(r, 1, 2, 64, 128, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0,   0, psi);}
  else if (channel ==   29){ac_channel_4yyv2v(r, 1, 2, 64, 128, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,  24,   0,   0,   0, psi);}
  else if (channel ==   30){ac_channel_4yyv2v(r, 1, 2, 128, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0,   0, psi);}
  else if (channel ==   31){ac_channel_4yyv2v(r, 1, 2, 128, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,  24,   0,   0,   0, psi);}
  */

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
