#ifndef CONTRIBUTIONSET_H
#define CONTRIBUTIONSET_H

#include <map>
#include <string>
#include <vector>

using namespace std;

class contribution_set{
 private:

 public:
////////////////////
//  constructors  //
////////////////////
  contribution_set();
  contribution_set(string _process_class, vector<string> _decay, string _type_perturbative_order, string _type_contribution, string _type_correction, int _order_alpha_s, int _order_alpha_e, int _order_interference, string _subprocess);

  void readin_subprocess();
  //  void determine_basic_subprocess();
  //  void determine_subprocess();

  void readin_subprocess_from_name(string & this_processname, vector<int> & this_type_parton);
  void fill_code_particle();
  void fill_name_particle();


  string process_class;
  string basic_process_class;

  vector<string> decay;

  string type_perturbative_order;
  string type_contribution;
  string type_correction;
  int contribution_order_alpha_s;
  int contribution_order_alpha_e;
  int contribution_order_interference;

  string subprocess;
  string basic_subprocess; // probably not needed...

  vector<vector<int> > type_parton;
  vector<vector<int> > basic_type_parton;

  int n_particle;
  int process_type;

  map<string,int> code_particle;
  map<int,string> name_particle;

  map<int, int> lepton_exchange;
};
#endif
