      subroutine gg_h_v(p,msqb,msqv1,msqv2)
      implicit none
      include 'types.f'
      
      include 'constants.f'
      include 'nf.f'
      include 'mxpart.f'
      include 'cplx.h'
      include 'qcdcouple.f'
      include 'epinv.f'
      include 'epinv2.f'
      include 'scheme.f'
      include 'scale.f'
      include 'masses.f'
      real(dp):: msqb(-nf:nf,-nf:nf),msqv1(-nf:nf,-nf:nf),
     &     p(mxpart,4),dot,xl12
      real(dp):: msqv2(-nf:nf,-nf:nf), Lt
      integer:: j,k
      
      do j=-nf,nf
      do k=-nf,nf
         msqv1(j,k)=0._dp
         msqv2(j,k)=0._dp
      enddo
      enddo

      xl12=log(two*dot(p,1,2)/musq)

c--sum of virtual diagram in DRED and UV counterterm including 
C--term required to bring into the MSbar scheme
      scheme='dred'

!      msqv(0,0)=ason2pi*xn*2._dp*(
!     &  -epinv*(epinv2-xl12)-0.5_dp*xl12**2+11._dp/6._dp+0.5_dp*pisq
!     &  -((11._dp-two*real(nf,dp)/xn)*epinv-1._dp)/6._dp)*msq(0,0)

!     This is the finite part of the virtual corrections in the MSbar scheme
!     in the Mtop->infty limit
      msqv1(0,0) = (ca*(5d0+7d0/6d0*pisq)-3d0*cf)*msqb(0,0) 

      Lt = log(hmass**2/mt**2)
      msqv2(0,0) = 5359._dp/54._dp + (137._dp*Lt)/6._dp
     &     + (1679._dp*pi**2)/24._dp 
     &     + (37._dp*pi**4)/8._dp - (499._dp*zeta3)/6._dp
      msqv2(0,0) = msqv2(0,0)*msqb(0,0) 

      return
      end
     
