This folder contains a simple script which construct a fixed-order input file which can be used in a RadISH run.
To execute it, type
```bash
construct_fixed_order.sh
```

The bash scripts executes the python script `create_inputs.py` which takes as an input a file containing the differential distributions at LO, NLO, and NNLO, and 4 numbers corresponding to the total cross section (within fiducial cuts) at LO, NLO, NNLO and N$^3$LO. 

You can adapt this script to produce your own fixed order inputs. If any of the quanties are not known, please put them to zero. Remember to insert information about the overflow bin in your differential file by adding a line

```
#overflow: 0.13738  0.08527 0.01267
```

where the three numbers are the overflow at LO, NLO and NNLO.

Finally, recall that the lower edge of the first bin of your differential distribution must be larger than zero.

